#-- 服务接收报告消息保存数据--#
USE `docus_archivefile`;
CREATE TABLE `af_report_record` (
                                    `task_id` bigint(19) NOT NULL COMMENT 'af_collect_task 主键id',
                                    `inpatient_no` varchar(50) DEFAULT NULL COMMENT '住院号',
                                    `jzh` varchar(50) DEFAULT NULL COMMENT '住院流水号，记账号',
                                    `admiss_times` int(11) DEFAULT NULL COMMENT '住院次数',
                                    `down_url` varchar(2048) DEFAULT NULL COMMENT '下载地址，多个使用| 分隔',
                                    `down_type` int(11) DEFAULT NULL COMMENT '下载路径类型 1:url,2:base64,3:url base64,4:共享文件，5：本地文件base64',
                                    `state` int(11) DEFAULT NULL COMMENT '状态 0 未开始，可用于补偿，1 已发送下载',
                                    `serialnum` varchar(200) DEFAULT NULL COMMENT '文件唯一标识',
                                    `sysflag` varchar(50) DEFAULT NULL COMMENT '文件来源 采集系统',
                                    `zd_assort_id` varchar(200) DEFAULT NULL COMMENT '文件分段id',
                                    `create_time` datetime DEFAULT NULL COMMENT '记录创建时间',
                                    `update_time` datetime DEFAULT NULL COMMENT '记录更新时间',
                                    `file_name` varchar(255) DEFAULT NULL COMMENT '文件名称',
                                    `patient_id` varchar(50) DEFAULT NULL COMMENT '病案主键',
                                    PRIMARY KEY (`task_id`),
                                    KEY `idx_af_report_record_patientid` (`patient_id`) USING BTREE,
                                    KEY `idx_af_report_record_inpatient_no` (`inpatient_no`) USING BTREE,
                                    KEY `idx_af_report_record_jzh` (`jzh`) USING BTREE,
                                    KEY `idx_af_report_record_state` (`state`) USING BTREE,
                                    KEY `idx_af_report_record_sysflag` (`sysflag`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='文件上报接收记录';