package com.docus.server.report.mapper;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.docus.server.report.entity.TBasic;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 病案基本信息 Mapper 接口
 * </p>
 *
 * @author jiashi
 * @since 2021-04-14
 */
public interface TBasicMapper{

    /**
     * 根据住院号和住院次数查询业务系统中病案主键
     * @param inpatientNo 住院号
     * @param admissTimes 住院次数
     * @return 病案主键
     */
    String getPatientIdByInpatientNoAndAdminssTimes(@Param("inpatientNo") String inpatientNo,@Param("adminssTimes") Integer admissTimes);
}
