package com.docus.server.report.webservice.impl;

import com.docus.server.report.dto.ReportDto;
import com.docus.server.report.util.XmlUtil;
import org.junit.Before;
import org.junit.Test;

/**
 * @author wyb
 * @date 2023年3月3日13:42:36
 */
public class SdryReportServerImplTest {
    SdryReportServerImpl reportServer;
    @Before
    public void init(){
       this.reportServer = new SdryReportServerImpl();
    }

    @Test
    public  void getReportDtoByJSXMLTest(){

        XmlUtil xmlUtil = XmlUtil.of(
                "<Request>\n" +
                "<Msg>\n" +
                "<!-- 消息ID号-->\n" +
                "<ID>123456</ID>\n" +
                "<!--住院号-->\n" +
                "<INHOSP_INDEX_NO>012345</INHOSP_INDEX_NO>\n" +
                "<!--住院流水号-->\n" +
                "<INHOSP_NO>012345</INHOSP_NO>\n" +
                "<!--住院次数-->\n" +
                "<INHOSP_NUM>2</INHOSP_NUM>\n" +
                "<!--表单类型-->\n" +
                "<TABLE_TYPE>icu</TABLE_TYPE>\n" +
                "<!--提交时间-->\n" +
                "<SUBMIT_TIME>20220303111800</SUBMIT_TIME>\n" +
                "<!--审核时间-->\n" +
                "<PROOF_TIME>20220303111801</PROOF_TIME>\n" +
                "<!-- 文件路径-->\n" +
                "<PDF_PATH>http://192.168.1.108:9012/file/0123_01.pdf</PDF_PATH>\n" +
                "<!--文件名-->\n" +
                "<FILE_NAME>0123_01</FILE_NAME>\n" +
                "<!--文件唯一值-->\n" +
                "<UNIQUE_FILE>AESHASHMD5DEFIND</UNIQUE_FILE>\n" +
                "</Msg>\n" +
                "</Request>\n");
        ReportDto reportDtoByJSXML = reportServer.getReportDtoByJSXML(xmlUtil);
        System.out.println(reportDtoByJSXML);

    }


    @Test
    public  void getReportDtoByInspectionUpdateXMLTest(){
        XmlUtil updateUtil = XmlUtil.of("<POOR_HIP1009 xmlns=\"urn:hl7-org:v3\" xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\" ITSVersion=\"XML_1.0\" xsi:schemaLocation=\"urn:hl7-org:v3 file:///E:/hl7/HL7/v3ballot_fullsite_2011MAY/v3ballot/html/processable/multicacheschemas/HIP1008.xsd\">\n" +
                "\t<!-- 消息ID -->\n" +
                "\t<id root=\"2.16.156.10011.0\" extension=\"414269bf-c1a5-454a-8baa-f49a054d2c9c\"/>\n" +
                "\t<!-- 消息创建时间 -->\n" +
                "\t<creationTime value=\"20230301083455\"/>\n" +
                "\t<!-- 消息的服务标识-->\n" +
                "\t<interactionId root=\"2.16.840.1.113883.1.6\" extension=\"HIP1009\"/>\n" +
                "\t<!--处理代码，标识此消息是否是产品、训练、调试系统的一部分。D：调试；P：产品；T：训练 -->\n" +
                "\t<processingCode code=\"P\"/>\n" +
                "\t<!-- 消息处理模式: A(Archive); I(Initial load); R(Restore from archive); T(Current\n" +
                "  processing) -->\n" +
                "\t<processingModeCode/>\n" +
                "\t<!-- 消息应答: AL(Always); ER(Error/reject only); NE(Never) -->\n" +
                "\t<acceptAckCode code=\"AL\"/>\n" +
                "\t<!-- 接受者 -->\n" +
                "\t<receiver typeCode=\"RCV\">\n" +
                "\t\t<device classCode=\"DEV\" determinerCode=\"INSTANCE\">\n" +
                "\t\t\t<!-- 接受者ID -->\n" +
                "\t\t\t<id>\n" +
                "\t\t\t\t<item root=\"2.16.156.10011.0.1.1\" extension=\"Orion-001\"/>\n" +
                "\t\t\t</id>\n" +
                "\t\t</device>\n" +
                "\t</receiver>\n" +
                "\t<!-- 发送者 -->\n" +
                "\t<sender typeCode=\"SND\">\n" +
                "\t\t<device classCode=\"DEV\" determinerCode=\"INSTANCE\">\n" +
                "\t\t\t<!-- 发送者ID -->\n" +
                "\t\t\t<id>\n" +
                "\t\t\t\t<item root=\"2.16.156.10011.0.1.2\" extension=\"PACS-001\"/>\n" +
                "\t\t\t</id>\n" +
                "\t\t</device>\n" +
                "\t</sender>\n" +
                "\t<!-- 封装的消息内容 -->\n" +
                "\t<controlActProcess classCode=\"CACT\" moodCode=\"EVN\">\n" +
                "\t\t<code code=\"POOR_TE200901UV\" codeSystem=\"2.16.840.1.113883.1.6\"/>\n" +
                "\t\t<subject typeCode=\"SUBJ\">\n" +
                "\t\t\t<!--文档记录对象（患者）-->\n" +
                "\t\t\t<recordTarget typeCode=\"RCT\" contextControlCode=\"OP\">\n" +
                "\t\t\t\t<patientRole classCode=\"PAT\">\n" +
                "\t\t\t\t\t<!--门（急）诊号标识 -->\n" +
                "\t\t\t\t\t<id root=\"2.16.156.10011.1.11\" extension=\"\"/>\n" +
                "\t\t\t\t\t<!--住院号标识-->\n" +
                "\t\t\t\t\t<id root=\"2.16.156.10011.1.12\" extension=\"535138\"/>\n" +
                "\t\t\t\t\t<!-- 就诊次数  -->\n" +
                "\t\t\t\t\t<item root=\"1.2.156.112635.1.2.1.7\" extension=\"13\"/>\n" +
                "\t\t\t\t\t<!-- 患者ID -->\n" +
                "\t\t\t\t\t<item root=\"2.16.156.10011.0.2.2\" extension=\"002016791700\"/>\n" +
                "\t\t\t\t\t<!--检查报告单号标识-->\n" +
                "\t\t\t\t\t<id root=\"2.16.156.10011.1.32\" extension=\"0002203361_1\"/>\n" +
                "\t\t\t\t\t<!--电子申请单编号-->\n" +
                "\t\t\t\t\t<id root=\"2.16.156.10011.1.24\" extension=\"227420716\"/>\n" +
                "\t\t\t\t\t<!-- 标本编号标识 -->\n" +
                "\t\t\t\t\t<id root=\"2.16.156.10011.1.14\" extension=\"\"/>\n" +
                "\t\t\t\t\t<!-- 病理号 -->\n" +
                "\t\t\t\t\t<pathologyNo extension=\"0436123\"/>\n" +
                "\t\t\t\t\t<!-- 是否是e宝典类型 是：e宝典  否：其他类型-->\n" +
                "\t\t\t\t\t<ETreasure/>\n" +
                "\t\t\t\t\t<!-- 患者类别代码 -->\n" +
                "\t\t\t\t\t<patientType>\n" +
                "\t\t\t\t\t\t<patienttypeCode code=\"3\" codeSystem=\"2.16.156.10011.2.3.1.271\" codeSystemName=\"患者类型代码表\" displayName=\"住院\"/>\n" +
                "\t\t\t\t\t</patientType>\n" +
                "\t\t\t\t\t<telecom value=\"13433255667\"/>\n" +
                "\t\t\t\t\t<patient classCode=\"PSN\" determinerCode=\"INSTANCE\">\n" +
                "\t\t\t\t\t\t<!--患者身份证号标识-->\n" +
                "\t\t\t\t\t\t<id root=\"2.16.156.10011.1.3\" extension=\"440623195810010043\"/>\n" +
                "\t\t\t\t\t\t<name>黄杏婵</name>\n" +
                "\t\t\t\t\t\t<administrativeGenderCode code=\"2\" codeSystem=\"2.16.156.10011.2.3.3.4\" codeSystemName=\"生理性别代码表(GB/T 2261.1)\" displayName=\"女\"/>\n" +
                "\t\t\t\t\t\t<!-- 年龄 -->\n" +
                "\t\t\t\t\t\t<age unit=\"岁\" value=\"64\"/>\n" +
                "\t\t\t\t\t</patient>\n" +
                "\t\t\t\t</patientRole>\n" +
                "\t\t\t</recordTarget>\n" +
                "\t\t\t<!-- 检查报告医师（文档创作者） -->\n" +
                "\t\t\t<author typeCode=\"AUT\" contextControlCode=\"OP\">\n" +
                "\t\t\t\t<!-- 检查报告日期 -->\n" +
                "\t\t\t\t<time value=\"20230228204213\"/>\n" +
                "\t\t\t\t<assignedAuthor classCode=\"ASSIGNED\">\n" +
                "\t\t\t\t\t<id root=\"2.16.156.10011.1.7\" extension=\"3-642\"/>\n" +
                "\t\t\t\t\t<!-- 医师姓名 -->\n" +
                "\t\t\t\t\t<assignedPerson>\n" +
                "\t\t\t\t\t\t<name>刘伟</name>\n" +
                "\t\t\t\t\t</assignedPerson>\n" +
                "\t\t\t\t</assignedAuthor>\n" +
                "\t\t\t</author>\n" +
                "\t\t\t<!-- 保管机构 -->\n" +
                "\t\t\t<custodian typeCode=\"CST\">\n" +
                "\t\t\t\t<assignedCustodian classCode=\"ASSIGNED\">\n" +
                "\t\t\t\t\t<representedCustodianOrganization classCode=\"ORG\" determinerCode=\"INSTANCE\">\n" +
                "\t\t\t\t\t\t<id root=\"2.16.156.10011.1.5\" extension=\"4560886379\"/>\n" +
                "\t\t\t\t\t\t<name>南方医科大学顺德医院</name>\n" +
                "\t\t\t\t\t</representedCustodianOrganization>\n" +
                "\t\t\t\t</assignedCustodian>\n" +
                "\t\t\t</custodian>\n" +
                "\t\t\t<!-- 审核医师签名 -->\n" +
                "\t\t\t<legalAuthenticator displayName=\"审核医师\">\n" +
                "\t\t\t\t<time value=\"20230301083459\"/>\n" +
                "\t\t\t\t<signatureCode/>\n" +
                "\t\t\t\t<assignedEntity>\n" +
                "\t\t\t\t\t<id root=\"2.16.156.10011.1.4\" extension=\"3-150\"/>\n" +
                "\t\t\t\t\t<code displayName=\"审核医师\"/>\n" +
                "\t\t\t\t\t<assignedPerson classCode=\"PSN\" determinerCode=\"INSTANCE\">\n" +
                "\t\t\t\t\t\t<name>袁汉强</name>\n" +
                "\t\t\t\t\t</assignedPerson>\n" +
                "\t\t\t\t</assignedEntity>\n" +
                "\t\t\t</legalAuthenticator>\n" +
                "\t\t\t<!-- 检查技师签名 -->\n" +
                "\t\t\t<authenticator displayName=\"检查技师签名\">\n" +
                "\t\t\t\t<time value=\"20230228172708\"/>\n" +
                "\t\t\t\t<signatureCode/>\n" +
                "\t\t\t\t<assignedEntity>\n" +
                "\t\t\t\t\t<id root=\"2.16.156.10011.1.4\" extension=\"3-642\"/>\n" +
                "\t\t\t\t\t<code displayName=\"检查技师\"/>\n" +
                "\t\t\t\t\t<assignedPerson classCode=\"PSN\" determinerCode=\"INSTANCE\">\n" +
                "\t\t\t\t\t\t<name>刘伟</name>\n" +
                "\t\t\t\t\t</assignedPerson>\n" +
                "\t\t\t\t</assignedEntity>\n" +
                "\t\t\t</authenticator>\n" +
                "\t\t\t<!-- 检查医师签名 -->\n" +
                "\t\t\t<authenticator displayName=\"检查医师签名\">\n" +
                "\t\t\t\t<!-- 检查时间 -->\n" +
                "\t\t\t\t<time value=\"20230228172708\"/>\n" +
                "\t\t\t\t<!-- 检查完成时间 2022-06-23添加-->\n" +
                "\t\t\t\t<completetime value=\"20230228174051\"/>\n" +
                "\t\t\t\t<signatureCode/>\n" +
                "\t\t\t\t<assignedEntity>\n" +
                "\t\t\t\t\t<id root=\"2.16.156.10011.1.4\" extension=\"3-642\"/>\n" +
                "\t\t\t\t\t<code displayName=\"检查医师\"/>\n" +
                "\t\t\t\t\t<assignedPerson classCode=\"PSN\" determinerCode=\"INSTANCE\">\n" +
                "\t\t\t\t\t\t<name>刘伟</name>\n" +
                "\t\t\t\t\t</assignedPerson>\n" +
                "\t\t\t\t</assignedEntity>\n" +
                "\t\t\t</authenticator>\n" +
                "\t\t\t<!-- 检查申请机构及科室 -->\n" +
                "\t\t\t<participant typeCode=\"PRF\">\n" +
                "\t\t\t\t<time/>\n" +
                "\t\t\t\t<associatedEntity classCode=\"ASSIGNED\">\n" +
                "\t\t\t\t\t<scopingOrganization>\n" +
                "\t\t\t\t\t\t<id root=\"2.16.156.10011.1.26\" extension=\"0306\"/>\n" +
                "\t\t\t\t\t\t<name>肾内科</name>\n" +
                "\t\t\t\t\t\t<asOrganizationPartOf>\n" +
                "\t\t\t\t\t\t\t<wholeOrganization>\n" +
                "\t\t\t\t\t\t\t\t<id root=\"2.16.156.10011.1.5\" extension=\"4560886379\"/>\n" +
                "\t\t\t\t\t\t\t\t<name>南方医科大学顺德医院</name>\n" +
                "\t\t\t\t\t\t\t</wholeOrganization>\n" +
                "\t\t\t\t\t\t</asOrganizationPartOf>\n" +
                "\t\t\t\t\t</scopingOrganization>\n" +
                "\t\t\t\t</associatedEntity>\n" +
                "\t\t\t</participant>\n" +
                "\t\t\t<relatedDocument typeCode=\"RPLC\">\n" +
                "\t\t\t\t<parentDocument>\n" +
                "\t\t\t\t\t<id/>\n" +
                "\t\t\t\t\t<setId/>\n" +
                "\t\t\t\t\t<versionNumber/>\n" +
                "\t\t\t\t</parentDocument>\n" +
                "\t\t\t</relatedDocument>\n" +
                "\t\t\t<!-- 病床号、病房、病区、科室和医院的关联 -->\n" +
                "\t\t\t<componentOf>\n" +
                "\t\t\t\t<encompassingEncounter>\n" +
                "\t\t\t\t\t<effectiveTime/>\n" +
                "\t\t\t\t\t<location>\n" +
                "\t\t\t\t\t\t<healthCareFacility>\n" +
                "\t\t\t\t\t\t\t<serviceProviderOrganization>\n" +
                "\t\t\t\t\t\t\t\t<asOrganizationPartOf classCode=\"PART\">\n" +
                "\t\t\t\t\t\t\t\t\t<!-- DE01.00.026.00病床号 -->\n" +
                "\t\t\t\t\t\t\t\t\t<wholeOrganization classCode=\"ORG\" determinerCode=\"INSTANCE\">\n" +
                "\t\t\t\t\t\t\t\t\t\t<id root=\"2.16.156.10011.1.22\" extension=\"08\"/>\n" +
                "\t\t\t\t\t\t\t\t\t\t<!-- DE01.00.019.00病房号 -->\n" +
                "\t\t\t\t\t\t\t\t\t\t<asOrganizationPartOf classCode=\"PART\">\n" +
                "\t\t\t\t\t\t\t\t\t\t\t<wholeOrganization classCode=\"ORG\" determinerCode=\"INSTANCE\">\n" +
                "\t\t\t\t\t\t\t\t\t\t\t\t<id root=\"2.16.156.10011.1.21\" extension=\"503\"/>\n" +
                "\t\t\t\t\t\t\t\t\t\t\t\t<!-- DE08.10.026.00科室名称 -->\n" +
                "\t\t\t\t\t\t\t\t\t\t\t\t<asOrganizationPartOf classCode=\"PART\">\n" +
                "\t\t\t\t\t\t\t\t\t\t\t\t\t<wholeOrganization classCode=\"ORG\" determinerCode=\"INSTANCE\">\n" +
                "\t\t\t\t\t\t\t\t\t\t\t\t\t\t<id root=\"2.16.156.10011.1.26\" extension=\"0306\"/>\n" +
                "\t\t\t\t\t\t\t\t\t\t\t\t\t\t<name>肾内科</name>\n" +
                "\t\t\t\t\t\t\t\t\t\t\t\t\t\t<!-- DE08.10.054.00病区名称 -->\n" +
                "\t\t\t\t\t\t\t\t\t\t\t\t\t\t<asOrganizationPartOf classCode=\"PART\">\n" +
                "\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<wholeOrganization classCode=\"ORG\" determinerCode=\"INSTANCE\">\n" +
                "\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<id root=\"2.16.156.10011.1.27\" extension=\"B030502\"/>\n" +
                "\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<name>3号楼5楼病区</name>\n" +
                "\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<!--XXX医院 -->\n" +
                "\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<asOrganizationPartOf classCode=\"PART\">\n" +
                "\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<wholeOrganization classCode=\"ORG\" determinerCode=\"INSTANCE\">\n" +
                "\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<id root=\"2.16.156.10011.1.5\" extension=\"4560886379\"/>\n" +
                "\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<name>南方医科大学顺德医院</name>\n" +
                "\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t</wholeOrganization>\n" +
                "\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t</asOrganizationPartOf>\n" +
                "\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t</wholeOrganization>\n" +
                "\t\t\t\t\t\t\t\t\t\t\t\t\t\t</asOrganizationPartOf>\n" +
                "\t\t\t\t\t\t\t\t\t\t\t\t\t</wholeOrganization>\n" +
                "\t\t\t\t\t\t\t\t\t\t\t\t</asOrganizationPartOf>\n" +
                "\t\t\t\t\t\t\t\t\t\t\t</wholeOrganization>\n" +
                "\t\t\t\t\t\t\t\t\t\t</asOrganizationPartOf>\n" +
                "\t\t\t\t\t\t\t\t\t</wholeOrganization>\n" +
                "\t\t\t\t\t\t\t\t</asOrganizationPartOf>\n" +
                "\t\t\t\t\t\t\t</serviceProviderOrganization>\n" +
                "\t\t\t\t\t\t</healthCareFacility>\n" +
                "\t\t\t\t\t</location>\n" +
                "\t\t\t\t</encompassingEncounter>\n" +
                "\t\t\t</componentOf>\n" +
                "\t\t\t<!--***************************************************\n" +
                "          文档体Body\n" +
                "          *******************************************************\n" +
                "          -->\n" +
                "\t\t\t<component>\n" +
                "\t\t\t\t<structuredBody>\n" +
                "\t\t\t\t\t<!-- 诊断记录章节-->\n" +
                "\t\t\t\t\t<component displayName=\"诊断信息\">\n" +
                "\t\t\t\t\t\t<section>\n" +
                "\t\t\t\t\t\t\t<code code=\"29548-5\" displayName=\"Diagnosis\" codeSystem=\"2.16.840.1.113883.6.1\" codeSystemName=\"LOINC\"/>\n" +
                "\t\t\t\t\t\t\t<text/>\n" +
                "\t\t\t\t\t\t\t<!--条目：诊断-->\n" +
                "\t\t\t\t\t\t\t<entry>\n" +
                "\t\t\t\t\t\t\t\t<observation classCode=\"OBS\" moodCode=\"EVN\">\n" +
                "\t\t\t\t\t\t\t\t\t<code code=\"DE05.01.024.00\" displayName=\"诊断代码\" codeSystem=\"2.16.156.10011.2.2.1\" codeSystemName=\"卫生信息数据元目录\"/>\n" +
                "\t\t\t\t\t\t\t\t\t<!--诊断日期-->\n" +
                "\t\t\t\t\t\t\t\t\t<effectiveTime value=\"\"/>\n" +
                "\t\t\t\t\t\t\t\t\t<value xsi:type=\"CD\" code=\"Z32.100\" displayName=\"慢性肾功能不全\" codeSystem=\"2.16.156.10011.2.3.3.11\" codeSystemName=\"ICD-10\"/>\n" +
                "\t\t\t\t\t\t\t\t</observation>\n" +
                "\t\t\t\t\t\t\t</entry>\n" +
                "\t\t\t\t\t\t</section>\n" +
                "\t\t\t\t\t</component>\n" +
                "\t\t\t\t\t<!-- 主诉章节 -->\n" +
                "\t\t\t\t\t<component displayName=\"主诉\">\n" +
                "\t\t\t\t\t\t<section>\n" +
                "\t\t\t\t\t\t\t<code code=\"10154-3\" displayName=\"CHIEF COMPLAINT\" codeSystem=\"2.16.840.1.113883.6.1\" codeSystemName=\"LOINC\"/>\n" +
                "\t\t\t\t\t\t\t<text/>\n" +
                "\t\t\t\t\t\t\t<!--主诉条目-->\n" +
                "\t\t\t\t\t\t\t<entry>\n" +
                "\t\t\t\t\t\t\t\t<observation classCode=\"OBS\" moodCode=\"EVN\">\n" +
                "\t\t\t\t\t\t\t\t\t<code code=\"DE04.01.119.00\" codeSystem=\"2.16.156.10011.2.2.1\" codeSystemName=\"卫生信息数据元目录\" displayName=\"主诉\"/>\n" +
                "\t\t\t\t\t\t\t\t\t<value xsi:type=\"ST\">主诉及病史：低血压后神志不清一小时 体查：双侧巴氏征阳性 既往史：糖尿病肾病、血液透析 其他检查：见检验单 临床诊断：急性脑血管意外</value>\n" +
                "\t\t\t\t\t\t\t\t</observation>\n" +
                "\t\t\t\t\t\t\t</entry>\n" +
                "\t\t\t\t\t\t</section>\n" +
                "\t\t\t\t\t</component>\n" +
                "\t\t\t\t\t<!-- 症状章节 -->\n" +
                "\t\t\t\t\t<component displayName=\"症状\">\n" +
                "\t\t\t\t\t\t<section>\n" +
                "\t\t\t\t\t\t\t<code code=\"11450-4\" codeSystem=\"2.16.840.1.113883.6.1\" codeSystemName=\"LOINC\" displayName=\"PROBLEM LIST\"/>\n" +
                "\t\t\t\t\t\t\t<text/>\n" +
                "\t\t\t\t\t\t\t<!-- 症状描述条目 -->\n" +
                "\t\t\t\t\t\t\t<entry>\n" +
                "\t\t\t\t\t\t\t\t<observation classCode=\"OBS\" moodCode=\"EVN\">\n" +
                "\t\t\t\t\t\t\t\t\t<code code=\"DE04.01.117.00\" codeSystem=\"2.16.156.10011.2.2.1\" codeSystemName=\"卫生信息数据元目录\" displayName=\"症状描述\"/>\n" +
                "\t\t\t\t\t\t\t\t\t<!-- 症状开始时间与停止时间 -->\n" +
                "\t\t\t\t\t\t\t\t\t<effectiveTime>\n" +
                "\t\t\t\t\t\t\t\t\t\t<low value=\"\"/>\n" +
                "\t\t\t\t\t\t\t\t\t\t<high value=\"\"/>\n" +
                "\t\t\t\t\t\t\t\t\t</effectiveTime>\n" +
                "\t\t\t\t\t\t\t\t\t<value xsi:type=\"ST\">主诉及病史：低血压后神志不清一小时 体查：双侧巴氏征阳性 既往史：糖尿病肾病、血液透析 其他检查：见检验单 临床诊断：急性脑血管意外</value>\n" +
                "\t\t\t\t\t\t\t\t</observation>\n" +
                "\t\t\t\t\t\t\t</entry>\n" +
                "\t\t\t\t\t\t</section>\n" +
                "\t\t\t\t\t</component>\n" +
                "\t\t\t\t\t<!-- 检查结果明细章节-->\n" +
                "\t\t\t\t\t<component displayName=\"检查结果明细\">\n" +
                "\t\t\t\t\t\t<section>\n" +
                "\t\t\t\t\t\t\t<code code=\"29545-1\" displayName=\"PHYSICAL EXAMINATION\" codeSystem=\"2.16.840.1.113883.6.1\" codeSystemName=\"LOINC\"/>\n" +
                "\t\t\t\t\t\t\t<text/>\n" +
                "\t\t\t\t\t\t\t<!--特殊检查条目-->\n" +
                "\t\t\t\t\t\t\t<entry displayName=\"特殊检查标志\">\n" +
                "\t\t\t\t\t\t\t\t<observation classCode=\"OBS\" moodCode=\"EVN\">\n" +
                "\t\t\t\t\t\t\t\t\t<code code=\"DE02.01.079.00\" codeSystem=\"2.16.156.10011.2.2.1\" codeSystemName=\"卫生信息数据元目录\" displayName=\"特殊检查标志\"/>\n" +
                "\t\t\t\t\t\t\t\t\t<value xsi:type=\"ST\">F</value>\n" +
                "\t\t\t\t\t\t\t\t</observation>\n" +
                "\t\t\t\t\t\t\t</entry>\n" +
                "\t\t\t\t\t\t\t<entry displayName=\"检查方法\">\n" +
                "\t\t\t\t\t\t\t\t<observation classCode=\"OBS\" moodCode=\"EVN\">\n" +
                "\t\t\t\t\t\t\t\t\t<code code=\"DE02.10.027.00\" codeSystem=\"2.16.156.10011.2.2.1\" codeSystemName=\"卫生信息数据元目录\" displayName=\"检查方法名称\"/>\n" +
                "\t\t\t\t\t\t\t\t\t<value xsi:type=\"ST\"/>\n" +
                "\t\t\t\t\t\t\t\t</observation>\n" +
                "\t\t\t\t\t\t\t</entry>\n" +
                "\t\t\t\t\t\t\t<entry displayName=\"检查类别\">\n" +
                "\t\t\t\t\t\t\t\t<observation classCode=\"OBS\" moodCode=\"EVN\">\n" +
                "\t\t\t\t\t\t\t\t\t<code code=\"DE04.30.018.00\" codeSystem=\"2.16.156.10011.2.2.1\" codeSystemName=\"卫生信息数据元目录\" displayName=\"检查类别\"/>\n" +
                "\t\t\t\t\t\t\t\t\t<value xsi:type=\"ST\">DR</value>\n" +
                "\t\t\t\t\t\t\t\t</observation>\n" +
                "\t\t\t\t\t\t\t</entry>\n" +
                "\t\t\t\t\t\t\t<!--项目结果-->\n" +
                "\t\t\t\t\t\t\t<entry displayName=\"项目结果\">\n" +
                "\t\t\t\t\t\t\t\t<observation classCode=\"OBS\" moodCode=\"EVN\">\n" +
                "\t\t\t\t\t\t\t\t\t<code code=\"01\" displayName=\"项目结果\"/>\n" +
                "\t\t\t\t\t\t\t\t\t<value xsi:type=\"ST\">1. 心影较前增大，右肺门较前膨隆，原双肺渗出灶及双侧少量胸积液较前吸收，宜结合临床。 2. 主动脉硬化。 3. 右乳钙化灶。</value>\n" +
                "\t\t\t\t\t\t\t\t</observation>\n" +
                "\t\t\t\t\t\t\t</entry>\n" +
                "\t\t\t\t\t\t\t<entry displayName=\"检查项目\">\n" +
                "\t\t\t\t\t\t\t\t<organizer classCode=\"CLUSTER\" moodCode=\"EVN\">\n" +
                "\t\t\t\t\t\t\t\t\t<statusCode/>\n" +
                "\t\t\t\t\t\t\t\t\t<component displayName=\"检查项目\">\n" +
                "\t\t\t\t\t\t\t\t\t\t<observation classCode=\"OBS\" moodCode=\"EVN\">\n" +
                "\t\t\t\t\t\t\t\t\t\t\t<code code=\"DE04.30.019.00\" codeSystem=\"2.16.156.10011.2.2.1\" codeSystemName=\"卫生信息数据元目录\" displayName=\"检查项目代码\"/>\n" +
                "\t\t\t\t\t\t\t\t\t\t\t<!-- 检查日期 -->\n" +
                "\t\t\t\t\t\t\t\t\t\t\t<effectiveTime value=\"20230228172708\"/>\n" +
                "\t\t\t\t\t\t\t\t\t\t\t<value xsi:type=\"ST\" code=\"004905\">床边胸片</value>\n" +
                "\t\t\t\t\t\t\t\t\t\t</observation>\n" +
                "\t\t\t\t\t\t\t\t\t\t<entryRelationship typeCode=\"COMP\" displayName=\"标本类别\">\n" +
                "\t\t\t\t\t\t\t\t\t\t\t<observation classCode=\"OBS\" moodCode=\"EVN\">\n" +
                "\t\t\t\t\t\t\t\t\t\t\t\t<code code=\"DE04.30.019.00\" codeSystem=\"2.16.156.10011.2.2.1\" codeSystemName=\"卫生信息数据元目录\" displayName=\"标本类别\"/>\n" +
                "\t\t\t\t\t\t\t\t\t\t\t\t<!-- DE04.50.137.00标本采样日期时间 DE04.50.141.00 接收标本日期时间 -->\n" +
                "\t\t\t\t\t\t\t\t\t\t\t\t<effectiveTime>\n" +
                "\t\t\t\t\t\t\t\t\t\t\t\t\t<low value=\"\"/>\n" +
                "\t\t\t\t\t\t\t\t\t\t\t\t\t<high value=\"\"/>\n" +
                "\t\t\t\t\t\t\t\t\t\t\t\t</effectiveTime>\n" +
                "\t\t\t\t\t\t\t\t\t\t\t\t<value xsi:type=\"ST\">无</value>\n" +
                "\t\t\t\t\t\t\t\t\t\t\t</observation>\n" +
                "\t\t\t\t\t\t\t\t\t\t</entryRelationship>\n" +
                "\t\t\t\t\t\t\t\t\t\t<entryRelationship typeCode=\"COMP\" displayName=\"标本状态\">\n" +
                "\t\t\t\t\t\t\t\t\t\t\t<observation classCode=\"OBS\" moodCode=\"EVN\">\n" +
                "\t\t\t\t\t\t\t\t\t\t\t\t<code code=\"DE04.50.135.00\" codeSystem=\"2.16.156.10011.2.2.1\" codeSystemName=\"卫生信息数据元目录\" displayName=\"标本状态\"/>\n" +
                "\t\t\t\t\t\t\t\t\t\t\t\t<value xsi:type=\"ST\">无</value>\n" +
                "\t\t\t\t\t\t\t\t\t\t\t</observation>\n" +
                "\t\t\t\t\t\t\t\t\t\t</entryRelationship>\n" +
                "\t\t\t\t\t\t\t\t\t\t<entryRelationship typeCode=\"COMP\" displayName=\"标本固定液\">\n" +
                "\t\t\t\t\t\t\t\t\t\t\t<observation classCode=\"OBS\" moodCode=\"EVN\">\n" +
                "\t\t\t\t\t\t\t\t\t\t\t\t<code code=\"DE04.30.019.00\" codeSystem=\"2.16.156.10011.2.2.1\" codeSystemName=\"卫生信息数据元目录\" displayName=\"标本固定液名称\"/>\n" +
                "\t\t\t\t\t\t\t\t\t\t\t\t<value xsi:type=\"ST\">无</value>\n" +
                "\t\t\t\t\t\t\t\t\t\t\t</observation>\n" +
                "\t\t\t\t\t\t\t\t\t\t</entryRelationship>\n" +
                "\t\t\t\t\t\t\t\t\t</component>\n" +
                "\t\t\t\t\t\t\t\t\t<component displayName=\"检查结果\">\n" +
                "\t\t\t\t\t\t\t\t\t\t<observation classCode=\"OBS\" moodCode=\"EVN\">\n" +
                "\t\t\t\t\t\t\t\t\t\t\t<code code=\"DE04.30.017.00\" codeSystem=\"2.16.156.10011.2.2.1\" codeSystemName=\"卫生信息数据元目录\" displayName=\"检查结果代码\"/>\n" +
                "\t\t\t\t\t\t\t\t\t\t\t<value xsi:type=\"CD\" code=\"3\" displayName=\"不确定\" codeSystem=\"2.16.156.10011.2.3.2.38\" codeSystemName=\"检查/检验结果代码表\"/>\n" +
                "\t\t\t\t\t\t\t\t\t\t</observation>\n" +
                "\t\t\t\t\t\t\t\t\t</component>\n" +
                "\t\t\t\t\t\t\t\t\t<component displayName=\"检查定量结果\">\n" +
                "\t\t\t\t\t\t\t\t\t\t<observation classCode=\"OBS\" moodCode=\"EVN\">\n" +
                "\t\t\t\t\t\t\t\t\t\t\t<code code=\"DE04.30.015.00\" codeSystem=\"2.16.156.10011.2.2.1\" codeSystemName=\"卫生信息数据元目录\" displayName=\"检查定量结果\"/>\n" +
                "\t\t\t\t\t\t\t\t\t\t\t<value xsi:type=\"REAL\" value=\"136\"/>\n" +
                "\t\t\t\t\t\t\t\t\t\t\t<entryRelationship typeCode=\"COMP\">\n" +
                "\t\t\t\t\t\t\t\t\t\t\t\t<observation classCode=\"OBS\" moodCode=\"EVN\">\n" +
                "\t\t\t\t\t\t\t\t\t\t\t\t\t<code code=\"DE04.30.016.00\" displayName=\"检查定量 结果计量单位\" codeSystemName=\"卫生信息数据元目录\" codeSystem=\"2.16.156.10011.2.2.1\"/>\n" +
                "\t\t\t\t\t\t\t\t\t\t\t\t\t<value xsi:type=\"ST\">nmol/L</value>\n" +
                "\t\t\t\t\t\t\t\t\t\t\t\t</observation>\n" +
                "\t\t\t\t\t\t\t\t\t\t\t</entryRelationship>\n" +
                "\t\t\t\t\t\t\t\t\t\t</observation>\n" +
                "\t\t\t\t\t\t\t\t\t</component>\n" +
                "\t\t\t\t\t\t\t\t</organizer>\n" +
                "\t\t\t\t\t\t\t</entry>\n" +
                "\t\t\t\t\t\t</section>\n" +
                "\t\t\t\t\t</component>\n" +
                "\t\t\t\t\t<!-- 其他处置章节 -->\n" +
                "\t\t\t\t\t<component displayName=\"其他处置\">\n" +
                "\t\t\t\t\t\t<section>\n" +
                "\t\t\t\t\t\t\t<code displayName=\"其他处置章节\"/>\n" +
                "\t\t\t\t\t\t\t<text/>\n" +
                "\t\t\t\t\t\t\t<!-- 诊疗过程描述 -->\n" +
                "\t\t\t\t\t\t\t<entry typeCode=\"COMP\">\n" +
                "\t\t\t\t\t\t\t\t<observation classCode=\"OBS\" moodCode=\"EVN\">\n" +
                "\t\t\t\t\t\t\t\t\t<code code=\"DE06.00.296.00\" codeSystem=\"2.16.156.10011.2.2.1\" codeSystemName=\"卫生信息数据元目录\" displayName=\"诊疗过程描述\"/>\n" +
                "\t\t\t\t\t\t\t\t\t<value xsi:type=\"ST\"/>\n" +
                "\t\t\t\t\t\t\t\t</observation>\n" +
                "\t\t\t\t\t\t\t</entry>\n" +
                "\t\t\t\t\t\t</section>\n" +
                "\t\t\t\t\t</component>\n" +
                "\t\t\t\t\t<!-- 检查报告章节 -->\n" +
                "\t\t\t\t\t<component displayName=\"检查报告\">\n" +
                "\t\t\t\t\t\t<section>\n" +
                "\t\t\t\t\t\t\t<code displayName=\"检查报告\"/>\n" +
                "\t\t\t\t\t\t\t<text/>\n" +
                "\t\t\t\t\t\t\t<!-- 药物相关信息 -->\n" +
                "\t\t\t\t\t\t\t<entryRelationship typeCode=\"REFR \">\n" +
                "\t\t\t\t\t\t\t\t<substanceAdministration classCode=\"SBADM\" moodCode=\"EVN \">\n" +
                "\t\t\t\t\t\t\t\t\t<!--药物剂量 药物剂量单位-->\n" +
                "\t\t\t\t\t\t\t\t\t<doseQuantity value=\"\" unit=\"\"/>\n" +
                "\t\t\t\t\t\t\t\t\t<consumable>\n" +
                "\t\t\t\t\t\t\t\t\t\t<manufacturedProduct>\n" +
                "\t\t\t\t\t\t\t\t\t\t\t<manufacturedLabeledDrug>\n" +
                "\t\t\t\t\t\t\t\t\t\t\t\t<!-- 试剂编码 -->\n" +
                "\t\t\t\t\t\t\t\t\t\t\t\t<code code=\"\"/>\n" +
                "\t\t\t\t\t\t\t\t\t\t\t\t<!-- 试剂名称 -->\n" +
                "\t\t\t\t\t\t\t\t\t\t\t\t<name xsi:type=\"EN\"/>\n" +
                "\t\t\t\t\t\t\t\t\t\t\t</manufacturedLabeledDrug>\n" +
                "\t\t\t\t\t\t\t\t\t\t</manufacturedProduct>\n" +
                "\t\t\t\t\t\t\t\t\t</consumable>\n" +
                "\t\t\t\t\t\t\t\t</substanceAdministration>\n" +
                "\t\t\t\t\t\t\t</entryRelationship>\n" +
                "\t\t\t\t\t\t\t<!-- 检查类型编码/检查类型名称 -->\n" +
                "\t\t\t\t\t\t\t<entry displayName=\"检查类型\">\n" +
                "\t\t\t\t\t\t\t\t<observation classCode=\"OBS\" moodCode=\"EVN\">\n" +
                "\t\t\t\t\t\t\t\t\t<code code=\"0015\" codeSystem=\"1.2.156.112635.1.1.41\" displayName=\"DR\"/>\n" +
                "\t\t\t\t\t\t\t\t</observation>\n" +
                "\t\t\t\t\t\t\t</entry>\n" +
                "\t\t\t\t\t\t\t<!-- 检查报告类型 -->\n" +
                "\t\t\t\t\t\t\t<entry displayName=\"检查报告类型\">\n" +
                "\t\t\t\t\t\t\t\t<observation classCode=\"OBS\" moodCode=\"EVN\">\n" +
                "\t\t\t\t\t\t\t\t\t<!-- 检查报告类型标识编码/检查报告类型标识名称 -->\n" +
                "\t\t\t\t\t\t\t\t\t<code code=\"\" codeSystem=\"1.2.156.112635.1.1.112\" displayName=\"DR诊断报告\"/>\n" +
                "\t\t\t\t\t\t\t\t</observation>\n" +
                "\t\t\t\t\t\t\t</entry>\n" +
                "\t\t\t\t\t\t\t<!-- 临床资料(以下拼接起来) -->\n" +
                "\t\t\t\t\t\t\t<entry displayName=\"临床资料\">\n" +
                "\t\t\t\t\t\t\t\t<observation classCode=\"OBS\" moodCode=\"EVN\">\n" +
                "\t\t\t\t\t\t\t\t\t<code code=\"0550\" displayName=\"临床表现\"/>\n" +
                "\t\t\t\t\t\t\t\t\t<!-- 体温及感觉 -->\n" +
                "\t\t\t\t\t\t\t\t\t<entryRelationship typeCode=\"COMP\">\n" +
                "\t\t\t\t\t\t\t\t\t\t<observation classCode=\"OBS\" moodCode=\"EVN\">\n" +
                "\t\t\t\t\t\t\t\t\t\t\t<code code=\"0550_1\" displayName=\"体温及感觉\"/>\n" +
                "\t\t\t\t\t\t\t\t\t\t\t<value xsi:type=\"ST\"/>\n" +
                "\t\t\t\t\t\t\t\t\t\t</observation>\n" +
                "\t\t\t\t\t\t\t\t\t</entryRelationship>\n" +
                "\t\t\t\t\t\t\t\t\t<!-- 皮肤表现 -->\n" +
                "\t\t\t\t\t\t\t\t\t<entryRelationship typeCode=\"COMP\">\n" +
                "\t\t\t\t\t\t\t\t\t\t<observation classCode=\"OBS\" moodCode=\"EVN\">\n" +
                "\t\t\t\t\t\t\t\t\t\t\t<code code=\"0550_2\" displayName=\"皮肤表现\"/>\n" +
                "\t\t\t\t\t\t\t\t\t\t\t<value xsi:type=\"ST\"/>\n" +
                "\t\t\t\t\t\t\t\t\t\t</observation>\n" +
                "\t\t\t\t\t\t\t\t\t</entryRelationship>\n" +
                "\t\t\t\t\t\t\t\t\t<!-- 消化泌尿排泄 -->\n" +
                "\t\t\t\t\t\t\t\t\t<entryRelationship typeCode=\"COMP\">\n" +
                "\t\t\t\t\t\t\t\t\t\t<observation classCode=\"OBS\" moodCode=\"EVN\">\n" +
                "\t\t\t\t\t\t\t\t\t\t\t<code code=\"0550_3\" displayName=\"消化泌尿排泄\"/>\n" +
                "\t\t\t\t\t\t\t\t\t\t\t<value xsi:type=\"ST\"/>\n" +
                "\t\t\t\t\t\t\t\t\t\t</observation>\n" +
                "\t\t\t\t\t\t\t\t\t</entryRelationship>\n" +
                "\t\t\t\t\t\t\t\t\t<!-- 呼吸及缺氧症状 -->\n" +
                "\t\t\t\t\t\t\t\t\t<entryRelationship typeCode=\"COMP\">\n" +
                "\t\t\t\t\t\t\t\t\t\t<observation classCode=\"OBS\" moodCode=\"EVN\">\n" +
                "\t\t\t\t\t\t\t\t\t\t\t<code code=\"0550_4\" displayName=\"呼吸及缺氧症状\"/>\n" +
                "\t\t\t\t\t\t\t\t\t\t\t<value xsi:type=\"ST\"/>\n" +
                "\t\t\t\t\t\t\t\t\t\t</observation>\n" +
                "\t\t\t\t\t\t\t\t\t</entryRelationship>\n" +
                "\t\t\t\t\t\t\t\t\t<!-- 心血管表现 -->\n" +
                "\t\t\t\t\t\t\t\t\t<entryRelationship typeCode=\"COMP\">\n" +
                "\t\t\t\t\t\t\t\t\t\t<observation classCode=\"OBS\" moodCode=\"EVN\">\n" +
                "\t\t\t\t\t\t\t\t\t\t\t<code code=\"0550_5\" displayName=\"心血管表现\"/>\n" +
                "\t\t\t\t\t\t\t\t\t\t\t<value xsi:type=\"ST\"/>\n" +
                "\t\t\t\t\t\t\t\t\t\t</observation>\n" +
                "\t\t\t\t\t\t\t\t\t</entryRelationship>\n" +
                "\t\t\t\t\t\t\t\t\t<!-- 其他 -->\n" +
                "\t\t\t\t\t\t\t\t\t<entryRelationship typeCode=\"COMP\">\n" +
                "\t\t\t\t\t\t\t\t\t\t<observation classCode=\"OBS\" moodCode=\"EVN\">\n" +
                "\t\t\t\t\t\t\t\t\t\t\t<code code=\"DE06.00.179.00\" codeSystem=\"2.16.156.10011.2.2.1\" codeSystemName=\"卫生信息数据元目录\" displayName=\"其他情况 \"/>\n" +
                "\t\t\t\t\t\t\t\t\t\t\t<value xsi:type=\"ST\"/>\n" +
                "\t\t\t\t\t\t\t\t\t\t</observation>\n" +
                "\t\t\t\t\t\t\t\t\t</entryRelationship>\n" +
                "\t\t\t\t\t\t\t\t</observation>\n" +
                "\t\t\t\t\t\t\t</entry>\n" +
                "\t\t\t\t\t\t\t<!-- 检查报告结果-客观所见 即是 影像学表现 -->\n" +
                "\t\t\t\t\t\t\t<entry displayName=\"影像学表现\">\n" +
                "\t\t\t\t\t\t\t\t<observation classCode=\"OBS\" moodCode=\"EVN\">\n" +
                "\t\t\t\t\t\t\t\t\t<code code=\"DE04.50.131.00\" codeSystem=\"2.16.156.10011.2.2.1\" codeSystemName=\"卫生信息数据元目录\" displayName=\"检查报告结果-客观所见\"/>\n" +
                "\t\t\t\t\t\t\t\t\t<value xsi:type=\"ST\">对比2023-02-21前片： 　　双肺纹理增多稍粗，原双下肺斑片状模糊影较前吸收；右肺门较前膨隆，纵隔增宽。心影较前增大，左侧缘显示不清，主动脉弓部见钙化影。右侧膈面光滑，肋膈角锐利。右侧深静脉插管置于T4水平。右乳钙化灶。</value>\n" +
                "\t\t\t\t\t\t\t\t</observation>\n" +
                "\t\t\t\t\t\t\t</entry>\n" +
                "\t\t\t\t\t\t\t<!-- 检查报告结果-主观提示 即是 影像学结论 -->\n" +
                "\t\t\t\t\t\t\t<entry displayName=\"影像学结论\">\n" +
                "\t\t\t\t\t\t\t\t<observation classCode=\"OBS\" moodCode=\"EVN\">\n" +
                "\t\t\t\t\t\t\t\t\t<code code=\"DE04.50.132.00\" codeSystem=\"2.16.156.10011.2.2.1\" codeSystemName=\"卫生信息数据元目录\" displayName=\"检查报告结果-主观提示\"/>\n" +
                "\t\t\t\t\t\t\t\t\t<value xsi:type=\"ST\">1. 心影较前增大，右肺门较前膨隆，原双肺渗出灶及双侧少量胸积液较前吸收，宜结合临床。 2. 主动脉硬化。 3. 右乳钙化灶。</value>\n" +
                "\t\t\t\t\t\t\t\t</observation>\n" +
                "\t\t\t\t\t\t\t</entry>\n" +
                "\t\t\t\t\t\t\t<entry displayName=\"检查报告科室\">\n" +
                "\t\t\t\t\t\t\t\t<observation classCode=\"OBS\" moodCode=\"EVN\">\n" +
                "\t\t\t\t\t\t\t\t\t<code code=\"DE08.10.026.00\" codeSystem=\"2.16.156.10011.2.2.1\" codeSystemName=\"卫生信息数据元目录\" displayName=\"检查报告科室\"/>\n" +
                "\t\t\t\t\t\t\t\t\t<value xsi:type=\"ST\" code=\"32\">放射科</value>\n" +
                "\t\t\t\t\t\t\t\t</observation>\n" +
                "\t\t\t\t\t\t\t</entry>\n" +
                "\t\t\t\t\t\t\t<entry displayName=\"检查报告机构\">\n" +
                "\t\t\t\t\t\t\t\t<observation classCode=\"OBS\" moodCode=\"EVN\">\n" +
                "\t\t\t\t\t\t\t\t\t<code code=\"DE08.10.013.00\" codeSystem=\"2.16.156.10011.2.2.1\" codeSystemName=\"卫生信息数据元目录\" displayName=\"检查报告机构名称\"/>\n" +
                "\t\t\t\t\t\t\t\t\t<value xsi:type=\"ST\" code=\"4560886379\">南方医科大学顺德医院</value>\n" +
                "\t\t\t\t\t\t\t\t</observation>\n" +
                "\t\t\t\t\t\t\t</entry>\n" +
                "\t\t\t\t\t\t\t<entry displayName=\"检查报告备注\">\n" +
                "\t\t\t\t\t\t\t\t<observation classCode=\"OBS\" moodCode=\"EVN\">\n" +
                "\t\t\t\t\t\t\t\t\t<code code=\"DE06.00.179.00\" codeSystem=\"2.16.156.10011.2.2.1\" codeSystemName=\"卫生信息数据元目录\" displayName=\"检查报告备注\"/>\n" +
                "\t\t\t\t\t\t\t\t\t<value xsi:type=\"ST\"/>\n" +
                "\t\t\t\t\t\t\t\t</observation>\n" +
                "\t\t\t\t\t\t\t</entry>\n" +
                "\t\t\t\t\t\t\t<!--ph值编码及名称-->\n" +
                "\t\t\t\t\t\t\t<entry displayName=\"ph值\">\n" +
                "\t\t\t\t\t\t\t\t<observation classCode=\"OBS\" moodCode=\"EVN\">\n" +
                "\t\t\t\t\t\t\t\t\t<code code=\"01\" displayName=\"ph值编码\"/>\n" +
                "\t\t\t\t\t\t\t\t\t<value code=\"1\" xsi:type=\"ST\"/>\n" +
                "\t\t\t\t\t\t\t\t</observation>\n" +
                "\t\t\t\t\t\t\t</entry>\n" +
                "\t\t\t\t\t\t</section>\n" +
                "\t\t\t\t\t</component>\n" +
                "\t\t\t\t\t<component displayName=\"检查报告图像\">\n" +
                "\t\t\t\t\t\t<!--报告图像信息-->\n" +
                "\t\t\t\t\t\t<report>\n" +
                "\t\t\t\t\t\t\t<!-- PACS系统影像号-->\n" +
                "\t\t\t\t\t\t\t<imageNo>0436123</imageNo>\n" +
                "\t\t\t\t\t\t\t<entry displayName=\"检查报告图像URL地址\">\n" +
                "\t\t\t\t\t\t\t\t<observation classCode=\"OBS\" moodCode=\"EVN\">\n" +
                "\t\t\t\t\t\t\t\t\t<code code=\"DE06.00.179.00\" codeSystem=\"2.16.156.10011.2.2.1\" codeSystemName=\"卫生信息数据元目录\" displayName=\"检查报告URL地址\"/>\n" +
                "\t\t\t\t\t\t\t\t\t<value xsi:type=\"ST\">http://192.168.5.51/ClinicView/html/report.htm?exam_no=0002203361&amp;report_no=1</value>\n" +
                "\t\t\t\t\t\t\t\t</observation>\n" +
                "\t\t\t\t\t\t\t</entry>\n" +
                "\t\t\t\t\t\t\t<entry displayName=\"检查报告图像\">\n" +
                "\t\t\t\t\t\t\t\t<observation classCode=\"OBS\" moodCode=\"EVN\">\n" +
                "\t\t\t\t\t\t\t\t\t<code code=\"DE06.00.179.00\" codeSystem=\"2.16.156.10011.2.2.1\" codeSystemName=\"卫生信息数据元目录\" displayName=\"检查报告\"/>\n" +
                "\t\t\t\t\t\t\t\t\t<name>0002203361-1.pdf</name>\n" +
                "\t\t\t\t\t\t\t\t\t<type>pdf</type>\n" +
                "\t\t\t\t\t\t\t\t\t<value xsi:type=\"ST\"/>\n" +
                "\t\t\t\t\t\t\t\t</observation>\n" +
                "\t\t\t\t\t\t\t</entry>\n" +
                "\t\t\t\t\t\t</report>\n" +
                "\t\t\t\t\t</component>\n" +
                "\t\t\t\t</structuredBody>\n" +
                "\t\t\t</component>\n" +
                "\t\t</subject>\n" +
                "\t</controlActProcess>\n" +
                "</POOR_HIP1009>\n");
        System.out.println(reportServer.getReportDtoByInspectionUpdate(updateUtil));
    }


    @Test
    public  void getReportDtoByInspectionInsertXMLTest(){
        XmlUtil insertUtil = XmlUtil.of("<POOR_HIP1008 xmlns=\"urn:hl7-org:v3\" xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\" ITSVersion=\"XML_1.0\" xsi:schemaLocation=\"urn:hl7-org:v3 file:///E:/hl7/HL7/v3ballot_fullsite_2011MAY/v3ballot/html/processable/multicacheschemas/HIP1008.xsd\">\n" +
                "\t<!-- 消息ID -->\n" +
                "\t<id root=\"2.16.156.10011.0\" extension=\"302c1977-ca54-4905-9ecb-a31a5035a272\"/>\n" +
                "\t<!-- 消息创建时间 -->\n" +
                "\t<creationTime value=\"20230301084153\"/>\n" +
                "\t<!-- 消息的服务标识-->\n" +
                "\t<interactionId root=\"2.16.840.1.113883.1.6\" extension=\"HIP1008\"/>\n" +
                "\t<!--处理代码，标识此消息是否是产品、训练、调试系统的一部分。D：调试；P：产品；T：训练 -->\n" +
                "\t<processingCode code=\"P\"/>\n" +
                "\t<!-- 消息处理模式: A(Archive); I(Initial load); R(Restore from archive); T(Current\n" +
                "  processing) -->\n" +
                "\t<processingModeCode/>\n" +
                "\t<!-- 消息应答: AL(Always); ER(Error/reject only); NE(Never) -->\n" +
                "\t<acceptAckCode code=\"AL\"/>\n" +
                "\t<!-- 接受者 -->\n" +
                "\t<receiver typeCode=\"RCV\">\n" +
                "\t\t<device classCode=\"DEV\" determinerCode=\"INSTANCE\">\n" +
                "\t\t\t<!-- 接受者ID -->\n" +
                "\t\t\t<id>\n" +
                "\t\t\t\t<item root=\"2.16.156.10011.0.1.1\" extension=\"Orion-001\"/>\n" +
                "\t\t\t</id>\n" +
                "\t\t</device>\n" +
                "\t</receiver>\n" +
                "\t<!-- 发送者 -->\n" +
                "\t<sender typeCode=\"SND\">\n" +
                "\t\t<device classCode=\"DEV\" determinerCode=\"INSTANCE\">\n" +
                "\t\t\t<!-- 发送者ID -->\n" +
                "\t\t\t<id>\n" +
                "\t\t\t\t<item root=\"2.16.156.10011.0.1.2\" extension=\"PACS-001\"/>\n" +
                "\t\t\t</id>\n" +
                "\t\t</device>\n" +
                "\t</sender>\n" +
                "\t<!-- 封装的消息内容 -->\n" +
                "\t<controlActProcess classCode=\"CACT\" moodCode=\"EVN\">\n" +
                "\t\t<code code=\"POOR_TE200901UV\" codeSystem=\"2.16.840.1.113883.1.6\"/>\n" +
                "\t\t<subject typeCode=\"SUBJ\">\n" +
                "\t\t\t<!--文档记录对象（患者）-->\n" +
                "\t\t\t<recordTarget typeCode=\"RCT\" contextControlCode=\"OP\">\n" +
                "\t\t\t\t<patientRole classCode=\"PAT\">\n" +
                "\t\t\t\t\t<!--门（急）诊号标识 -->\n" +
                "\t\t\t\t\t<id root=\"2.16.156.10011.1.11\" extension=\"\"/>\n" +
                "\t\t\t\t\t<!--住院号标识-->\n" +
                "\t\t\t\t\t<id root=\"2.16.156.10011.1.12\" extension=\"757654\"/>\n" +
                "\t\t\t\t\t<!-- 就诊次数  -->\n" +
                "\t\t\t\t\t<item root=\"1.2.156.112635.1.2.1.7\" extension=\"10\"/>\n" +
                "\t\t\t\t\t<!-- 患者ID -->\n" +
                "\t\t\t\t\t<item root=\"2.16.156.10011.0.2.2\" extension=\"002009365300\"/>\n" +
                "\t\t\t\t\t<!--检查报告单号标识-->\n" +
                "\t\t\t\t\t<id root=\"2.16.156.10011.1.32\" extension=\"0002203448_1\"/>\n" +
                "\t\t\t\t\t<!--电子申请单编号-->\n" +
                "\t\t\t\t\t<id root=\"2.16.156.10011.1.24\" extension=\"227412589\"/>\n" +
                "\t\t\t\t\t<!-- 标本编号标识 -->\n" +
                "\t\t\t\t\t<id root=\"2.16.156.10011.1.14\" extension=\"\"/>\n" +
                "\t\t\t\t\t<!-- 病理号 -->\n" +
                "\t\t\t\t\t<pathologyNo extension=\"MR053370\"/>\n" +
                "\t\t\t\t\t<!-- 是否是e宝典类型 是：e宝典  否：其他类型-->\n" +
                "\t\t\t\t\t<ETreasure/>\n" +
                "\t\t\t\t\t<!-- 患者类别代码 -->\n" +
                "\t\t\t\t\t<patientType>\n" +
                "\t\t\t\t\t\t<patienttypeCode code=\"3\" codeSystem=\"2.16.156.10011.2.3.1.271\" codeSystemName=\"患者类型代码表\" displayName=\"住院\"/>\n" +
                "\t\t\t\t\t</patientType>\n" +
                "\t\t\t\t\t<telecom value=\"18029240013\"/>\n" +
                "\t\t\t\t\t<patient classCode=\"PSN\" determinerCode=\"INSTANCE\">\n" +
                "\t\t\t\t\t\t<!--患者身份证号标识-->\n" +
                "\t\t\t\t\t\t<id root=\"2.16.156.10011.1.3\" extension=\"440623194912171740\"/>\n" +
                "\t\t\t\t\t\t<name>曾惠贞</name>\n" +
                "\t\t\t\t\t\t<administrativeGenderCode code=\"2\" codeSystem=\"2.16.156.10011.2.3.3.4\" codeSystemName=\"生理性别代码表(GB/T 2261.1)\" displayName=\"女\"/>\n" +
                "\t\t\t\t\t\t<!-- 年龄 -->\n" +
                "\t\t\t\t\t\t<age unit=\"岁\" value=\"73\"/>\n" +
                "\t\t\t\t\t</patient>\n" +
                "\t\t\t\t</patientRole>\n" +
                "\t\t\t</recordTarget>\n" +
                "\t\t\t<!-- 检查报告医师（文档创作者） -->\n" +
                "\t\t\t<author typeCode=\"AUT\" contextControlCode=\"OP\">\n" +
                "\t\t\t\t<!-- 检查报告日期 -->\n" +
                "\t\t\t\t<time value=\"20230301083549\"/>\n" +
                "\t\t\t\t<assignedAuthor classCode=\"ASSIGNED\">\n" +
                "\t\t\t\t\t<id root=\"2.16.156.10011.1.7\" extension=\"A-496\"/>\n" +
                "\t\t\t\t\t<!-- 医师姓名 -->\n" +
                "\t\t\t\t\t<assignedPerson>\n" +
                "\t\t\t\t\t\t<name>陈逸祥</name>\n" +
                "\t\t\t\t\t</assignedPerson>\n" +
                "\t\t\t\t</assignedAuthor>\n" +
                "\t\t\t</author>\n" +
                "\t\t\t<!-- 保管机构 -->\n" +
                "\t\t\t<custodian typeCode=\"CST\">\n" +
                "\t\t\t\t<assignedCustodian classCode=\"ASSIGNED\">\n" +
                "\t\t\t\t\t<representedCustodianOrganization classCode=\"ORG\" determinerCode=\"INSTANCE\">\n" +
                "\t\t\t\t\t\t<id root=\"2.16.156.10011.1.5\" extension=\"4560886379\"/>\n" +
                "\t\t\t\t\t\t<name>南方医科大学顺德医院</name>\n" +
                "\t\t\t\t\t</representedCustodianOrganization>\n" +
                "\t\t\t\t</assignedCustodian>\n" +
                "\t\t\t</custodian>\n" +
                "\t\t\t<!-- 审核医师签名 -->\n" +
                "\t\t\t<legalAuthenticator displayName=\"审核医师\">\n" +
                "\t\t\t\t<time value=\"20230301084152\"/>\n" +
                "\t\t\t\t<signatureCode/>\n" +
                "\t\t\t\t<assignedEntity>\n" +
                "\t\t\t\t\t<id root=\"2.16.156.10011.1.4\" extension=\"3-526\"/>\n" +
                "\t\t\t\t\t<code displayName=\"审核医师\"/>\n" +
                "\t\t\t\t\t<assignedPerson classCode=\"PSN\" determinerCode=\"INSTANCE\">\n" +
                "\t\t\t\t\t\t<name>张辉</name>\n" +
                "\t\t\t\t\t</assignedPerson>\n" +
                "\t\t\t\t</assignedEntity>\n" +
                "\t\t\t</legalAuthenticator>\n" +
                "\t\t\t<!-- 检查技师签名 -->\n" +
                "\t\t\t<authenticator displayName=\"检查技师签名\">\n" +
                "\t\t\t\t<time value=\"20230228203736\"/>\n" +
                "\t\t\t\t<signatureCode/>\n" +
                "\t\t\t\t<assignedEntity>\n" +
                "\t\t\t\t\t<id root=\"2.16.156.10011.1.4\" extension=\"A-496\"/>\n" +
                "\t\t\t\t\t<code displayName=\"检查技师\"/>\n" +
                "\t\t\t\t\t<assignedPerson classCode=\"PSN\" determinerCode=\"INSTANCE\">\n" +
                "\t\t\t\t\t\t<name>陈逸祥</name>\n" +
                "\t\t\t\t\t</assignedPerson>\n" +
                "\t\t\t\t</assignedEntity>\n" +
                "\t\t\t</authenticator>\n" +
                "\t\t\t<!-- 检查医师签名 -->\n" +
                "\t\t\t<authenticator displayName=\"检查医师签名\">\n" +
                "\t\t\t\t<!-- 检查时间 -->\n" +
                "\t\t\t\t<time value=\"20230228203736\"/>\n" +
                "\t\t\t\t<!-- 检查完成时间 2022-06-23添加-->\n" +
                "\t\t\t\t<completetime value=\"20230228210055\"/>\n" +
                "\t\t\t\t<signatureCode/>\n" +
                "\t\t\t\t<assignedEntity>\n" +
                "\t\t\t\t\t<id root=\"2.16.156.10011.1.4\" extension=\"A-496\"/>\n" +
                "\t\t\t\t\t<code displayName=\"检查医师\"/>\n" +
                "\t\t\t\t\t<assignedPerson classCode=\"PSN\" determinerCode=\"INSTANCE\">\n" +
                "\t\t\t\t\t\t<name>陈逸祥</name>\n" +
                "\t\t\t\t\t</assignedPerson>\n" +
                "\t\t\t\t</assignedEntity>\n" +
                "\t\t\t</authenticator>\n" +
                "\t\t\t<!-- 检查申请机构及科室 -->\n" +
                "\t\t\t<participant typeCode=\"PRF\">\n" +
                "\t\t\t\t<time/>\n" +
                "\t\t\t\t<associatedEntity classCode=\"ASSIGNED\">\n" +
                "\t\t\t\t\t<scopingOrganization>\n" +
                "\t\t\t\t\t\t<id root=\"2.16.156.10011.1.26\" extension=\"040105\"/>\n" +
                "\t\t\t\t\t\t<name>乳腺外科</name>\n" +
                "\t\t\t\t\t\t<asOrganizationPartOf>\n" +
                "\t\t\t\t\t\t\t<wholeOrganization>\n" +
                "\t\t\t\t\t\t\t\t<id root=\"2.16.156.10011.1.5\" extension=\"4560886379\"/>\n" +
                "\t\t\t\t\t\t\t\t<name>南方医科大学顺德医院</name>\n" +
                "\t\t\t\t\t\t\t</wholeOrganization>\n" +
                "\t\t\t\t\t\t</asOrganizationPartOf>\n" +
                "\t\t\t\t\t</scopingOrganization>\n" +
                "\t\t\t\t</associatedEntity>\n" +
                "\t\t\t</participant>\n" +
                "\t\t\t<relatedDocument typeCode=\"RPLC\">\n" +
                "\t\t\t\t<parentDocument>\n" +
                "\t\t\t\t\t<id/>\n" +
                "\t\t\t\t\t<setId/>\n" +
                "\t\t\t\t\t<versionNumber/>\n" +
                "\t\t\t\t</parentDocument>\n" +
                "\t\t\t</relatedDocument>\n" +
                "\t\t\t<!-- 病床号、病房、病区、科室和医院的关联 -->\n" +
                "\t\t\t<componentOf>\n" +
                "\t\t\t\t<encompassingEncounter>\n" +
                "\t\t\t\t\t<effectiveTime/>\n" +
                "\t\t\t\t\t<location>\n" +
                "\t\t\t\t\t\t<healthCareFacility>\n" +
                "\t\t\t\t\t\t\t<serviceProviderOrganization>\n" +
                "\t\t\t\t\t\t\t\t<asOrganizationPartOf classCode=\"PART\">\n" +
                "\t\t\t\t\t\t\t\t\t<!-- DE01.00.026.00病床号 -->\n" +
                "\t\t\t\t\t\t\t\t\t<wholeOrganization classCode=\"ORG\" determinerCode=\"INSTANCE\">\n" +
                "\t\t\t\t\t\t\t\t\t\t<id root=\"2.16.156.10011.1.22\" extension=\"49\"/>\n" +
                "\t\t\t\t\t\t\t\t\t\t<!-- DE01.00.019.00病房号 -->\n" +
                "\t\t\t\t\t\t\t\t\t\t<asOrganizationPartOf classCode=\"PART\">\n" +
                "\t\t\t\t\t\t\t\t\t\t\t<wholeOrganization classCode=\"ORG\" determinerCode=\"INSTANCE\">\n" +
                "\t\t\t\t\t\t\t\t\t\t\t\t<id root=\"2.16.156.10011.1.21\" extension=\"1615\"/>\n" +
                "\t\t\t\t\t\t\t\t\t\t\t\t<!-- DE08.10.026.00科室名称 -->\n" +
                "\t\t\t\t\t\t\t\t\t\t\t\t<asOrganizationPartOf classCode=\"PART\">\n" +
                "\t\t\t\t\t\t\t\t\t\t\t\t\t<wholeOrganization classCode=\"ORG\" determinerCode=\"INSTANCE\">\n" +
                "\t\t\t\t\t\t\t\t\t\t\t\t\t\t<id root=\"2.16.156.10011.1.26\" extension=\"040105\"/>\n" +
                "\t\t\t\t\t\t\t\t\t\t\t\t\t\t<name>乳腺外科</name>\n" +
                "\t\t\t\t\t\t\t\t\t\t\t\t\t\t<!-- DE08.10.054.00病区名称 -->\n" +
                "\t\t\t\t\t\t\t\t\t\t\t\t\t\t<asOrganizationPartOf classCode=\"PART\">\n" +
                "\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<wholeOrganization classCode=\"ORG\" determinerCode=\"INSTANCE\">\n" +
                "\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<id root=\"2.16.156.10011.1.27\" extension=\"B021602\"/>\n" +
                "\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<name>2号楼16楼东区</name>\n" +
                "\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<!--XXX医院 -->\n" +
                "\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<asOrganizationPartOf classCode=\"PART\">\n" +
                "\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<wholeOrganization classCode=\"ORG\" determinerCode=\"INSTANCE\">\n" +
                "\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<id root=\"2.16.156.10011.1.5\" extension=\"4560886379\"/>\n" +
                "\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<name>南方医科大学顺德医院</name>\n" +
                "\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t</wholeOrganization>\n" +
                "\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t</asOrganizationPartOf>\n" +
                "\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t</wholeOrganization>\n" +
                "\t\t\t\t\t\t\t\t\t\t\t\t\t\t</asOrganizationPartOf>\n" +
                "\t\t\t\t\t\t\t\t\t\t\t\t\t</wholeOrganization>\n" +
                "\t\t\t\t\t\t\t\t\t\t\t\t</asOrganizationPartOf>\n" +
                "\t\t\t\t\t\t\t\t\t\t\t</wholeOrganization>\n" +
                "\t\t\t\t\t\t\t\t\t\t</asOrganizationPartOf>\n" +
                "\t\t\t\t\t\t\t\t\t</wholeOrganization>\n" +
                "\t\t\t\t\t\t\t\t</asOrganizationPartOf>\n" +
                "\t\t\t\t\t\t\t</serviceProviderOrganization>\n" +
                "\t\t\t\t\t\t</healthCareFacility>\n" +
                "\t\t\t\t\t</location>\n" +
                "\t\t\t\t</encompassingEncounter>\n" +
                "\t\t\t</componentOf>\n" +
                "\t\t\t<!--***************************************************\n" +
                "          文档体Body\n" +
                "          *******************************************************\n" +
                "          -->\n" +
                "\t\t\t<component>\n" +
                "\t\t\t\t<structuredBody>\n" +
                "\t\t\t\t\t<!-- 诊断记录章节-->\n" +
                "\t\t\t\t\t<component displayName=\"诊断信息\">\n" +
                "\t\t\t\t\t\t<section>\n" +
                "\t\t\t\t\t\t\t<code code=\"29548-5\" displayName=\"Diagnosis\" codeSystem=\"2.16.840.1.113883.6.1\" codeSystemName=\"LOINC\"/>\n" +
                "\t\t\t\t\t\t\t<text/>\n" +
                "\t\t\t\t\t\t\t<!--条目：诊断-->\n" +
                "\t\t\t\t\t\t\t<entry>\n" +
                "\t\t\t\t\t\t\t\t<observation classCode=\"OBS\" moodCode=\"EVN\">\n" +
                "\t\t\t\t\t\t\t\t\t<code code=\"DE05.01.024.00\" displayName=\"诊断代码\" codeSystem=\"2.16.156.10011.2.2.1\" codeSystemName=\"卫生信息数据元目录\"/>\n" +
                "\t\t\t\t\t\t\t\t\t<!--诊断日期-->\n" +
                "\t\t\t\t\t\t\t\t\t<effectiveTime value=\"\"/>\n" +
                "\t\t\t\t\t\t\t\t\t<value xsi:type=\"CD\" code=\"Z32.100\" displayName=\"手术后恶性肿瘤化学治疗\" codeSystem=\"2.16.156.10011.2.3.3.11\" codeSystemName=\"ICD-10\"/>\n" +
                "\t\t\t\t\t\t\t\t</observation>\n" +
                "\t\t\t\t\t\t\t</entry>\n" +
                "\t\t\t\t\t\t</section>\n" +
                "\t\t\t\t\t</component>\n" +
                "\t\t\t\t\t<!-- 主诉章节 -->\n" +
                "\t\t\t\t\t<component displayName=\"主诉\">\n" +
                "\t\t\t\t\t\t<section>\n" +
                "\t\t\t\t\t\t\t<code code=\"10154-3\" displayName=\"CHIEF COMPLAINT\" codeSystem=\"2.16.840.1.113883.6.1\" codeSystemName=\"LOINC\"/>\n" +
                "\t\t\t\t\t\t\t<text/>\n" +
                "\t\t\t\t\t\t\t<!--主诉条目-->\n" +
                "\t\t\t\t\t\t\t<entry>\n" +
                "\t\t\t\t\t\t\t\t<observation classCode=\"OBS\" moodCode=\"EVN\">\n" +
                "\t\t\t\t\t\t\t\t\t<code code=\"DE04.01.119.00\" codeSystem=\"2.16.156.10011.2.2.1\" codeSystemName=\"卫生信息数据元目录\" displayName=\"主诉\"/>\n" +
                "\t\t\t\t\t\t\t\t\t<value xsi:type=\"ST\">主诉及病史:乳腺癌术后复查 体查:乳腺癌术后复查 既往史：乳腺癌术后复查 其他检查:乳腺癌术后复查 临床诊断:乳腺癌术后复查</value>\n" +
                "\t\t\t\t\t\t\t\t</observation>\n" +
                "\t\t\t\t\t\t\t</entry>\n" +
                "\t\t\t\t\t\t</section>\n" +
                "\t\t\t\t\t</component>\n" +
                "\t\t\t\t\t<!-- 症状章节 -->\n" +
                "\t\t\t\t\t<component displayName=\"症状\">\n" +
                "\t\t\t\t\t\t<section>\n" +
                "\t\t\t\t\t\t\t<code code=\"11450-4\" codeSystem=\"2.16.840.1.113883.6.1\" codeSystemName=\"LOINC\" displayName=\"PROBLEM LIST\"/>\n" +
                "\t\t\t\t\t\t\t<text/>\n" +
                "\t\t\t\t\t\t\t<!-- 症状描述条目 -->\n" +
                "\t\t\t\t\t\t\t<entry>\n" +
                "\t\t\t\t\t\t\t\t<observation classCode=\"OBS\" moodCode=\"EVN\">\n" +
                "\t\t\t\t\t\t\t\t\t<code code=\"DE04.01.117.00\" codeSystem=\"2.16.156.10011.2.2.1\" codeSystemName=\"卫生信息数据元目录\" displayName=\"症状描述\"/>\n" +
                "\t\t\t\t\t\t\t\t\t<!-- 症状开始时间与停止时间 -->\n" +
                "\t\t\t\t\t\t\t\t\t<effectiveTime>\n" +
                "\t\t\t\t\t\t\t\t\t\t<low value=\"\"/>\n" +
                "\t\t\t\t\t\t\t\t\t\t<high value=\"\"/>\n" +
                "\t\t\t\t\t\t\t\t\t</effectiveTime>\n" +
                "\t\t\t\t\t\t\t\t\t<value xsi:type=\"ST\">主诉及病史:乳腺癌术后复查 体查:乳腺癌术后复查 既往史：乳腺癌术后复查 其他检查:乳腺癌术后复查 临床诊断:乳腺癌术后复查</value>\n" +
                "\t\t\t\t\t\t\t\t</observation>\n" +
                "\t\t\t\t\t\t\t</entry>\n" +
                "\t\t\t\t\t\t</section>\n" +
                "\t\t\t\t\t</component>\n" +
                "\t\t\t\t\t<!-- 检查结果明细章节-->\n" +
                "\t\t\t\t\t<component displayName=\"检查结果明细\">\n" +
                "\t\t\t\t\t\t<section>\n" +
                "\t\t\t\t\t\t\t<code code=\"29545-1\" displayName=\"PHYSICAL EXAMINATION\" codeSystem=\"2.16.840.1.113883.6.1\" codeSystemName=\"LOINC\"/>\n" +
                "\t\t\t\t\t\t\t<text/>\n" +
                "\t\t\t\t\t\t\t<!--特殊检查条目-->\n" +
                "\t\t\t\t\t\t\t<entry displayName=\"特殊检查标志\">\n" +
                "\t\t\t\t\t\t\t\t<observation classCode=\"OBS\" moodCode=\"EVN\">\n" +
                "\t\t\t\t\t\t\t\t\t<code code=\"DE02.01.079.00\" codeSystem=\"2.16.156.10011.2.2.1\" codeSystemName=\"卫生信息数据元目录\" displayName=\"特殊检查标志\"/>\n" +
                "\t\t\t\t\t\t\t\t\t<value xsi:type=\"ST\">F</value>\n" +
                "\t\t\t\t\t\t\t\t</observation>\n" +
                "\t\t\t\t\t\t\t</entry>\n" +
                "\t\t\t\t\t\t\t<entry displayName=\"检查方法\">\n" +
                "\t\t\t\t\t\t\t\t<observation classCode=\"OBS\" moodCode=\"EVN\">\n" +
                "\t\t\t\t\t\t\t\t\t<code code=\"DE02.10.027.00\" codeSystem=\"2.16.156.10011.2.2.1\" codeSystemName=\"卫生信息数据元目录\" displayName=\"检查方法名称\"/>\n" +
                "\t\t\t\t\t\t\t\t\t<value xsi:type=\"ST\"/>\n" +
                "\t\t\t\t\t\t\t\t</observation>\n" +
                "\t\t\t\t\t\t\t</entry>\n" +
                "\t\t\t\t\t\t\t<entry displayName=\"检查类别\">\n" +
                "\t\t\t\t\t\t\t\t<observation classCode=\"OBS\" moodCode=\"EVN\">\n" +
                "\t\t\t\t\t\t\t\t\t<code code=\"DE04.30.018.00\" codeSystem=\"2.16.156.10011.2.2.1\" codeSystemName=\"卫生信息数据元目录\" displayName=\"检查类别\"/>\n" +
                "\t\t\t\t\t\t\t\t\t<value xsi:type=\"ST\">磁共振</value>\n" +
                "\t\t\t\t\t\t\t\t</observation>\n" +
                "\t\t\t\t\t\t\t</entry>\n" +
                "\t\t\t\t\t\t\t<!--项目结果-->\n" +
                "\t\t\t\t\t\t\t<entry displayName=\"项目结果\">\n" +
                "\t\t\t\t\t\t\t\t<observation classCode=\"OBS\" moodCode=\"EVN\">\n" +
                "\t\t\t\t\t\t\t\t\t<code code=\"01\" displayName=\"项目结果\"/>\n" +
                "\t\t\t\t\t\t\t\t\t<value xsi:type=\"ST\">　　1、双侧基底节区多发腔隙性脑梗塞。 　　2、脑萎缩。</value>\n" +
                "\t\t\t\t\t\t\t\t</observation>\n" +
                "\t\t\t\t\t\t\t</entry>\n" +
                "\t\t\t\t\t\t\t<entry displayName=\"检查项目\">\n" +
                "\t\t\t\t\t\t\t\t<organizer classCode=\"CLUSTER\" moodCode=\"EVN\">\n" +
                "\t\t\t\t\t\t\t\t\t<statusCode/>\n" +
                "\t\t\t\t\t\t\t\t\t<component displayName=\"检查项目\">\n" +
                "\t\t\t\t\t\t\t\t\t\t<observation classCode=\"OBS\" moodCode=\"EVN\">\n" +
                "\t\t\t\t\t\t\t\t\t\t\t<code code=\"DE04.30.019.00\" codeSystem=\"2.16.156.10011.2.2.1\" codeSystemName=\"卫生信息数据元目录\" displayName=\"检查项目代码\"/>\n" +
                "\t\t\t\t\t\t\t\t\t\t\t<!-- 检查日期 -->\n" +
                "\t\t\t\t\t\t\t\t\t\t\t<effectiveTime value=\"20230228203736\"/>\n" +
                "\t\t\t\t\t\t\t\t\t\t\t<value xsi:type=\"ST\" code=\"011786\">MR1.5颅脑平扫</value>\n" +
                "\t\t\t\t\t\t\t\t\t\t</observation>\n" +
                "\t\t\t\t\t\t\t\t\t\t<entryRelationship typeCode=\"COMP\" displayName=\"标本类别\">\n" +
                "\t\t\t\t\t\t\t\t\t\t\t<observation classCode=\"OBS\" moodCode=\"EVN\">\n" +
                "\t\t\t\t\t\t\t\t\t\t\t\t<code code=\"DE04.30.019.00\" codeSystem=\"2.16.156.10011.2.2.1\" codeSystemName=\"卫生信息数据元目录\" displayName=\"标本类别\"/>\n" +
                "\t\t\t\t\t\t\t\t\t\t\t\t<!-- DE04.50.137.00标本采样日期时间 DE04.50.141.00 接收标本日期时间 -->\n" +
                "\t\t\t\t\t\t\t\t\t\t\t\t<effectiveTime>\n" +
                "\t\t\t\t\t\t\t\t\t\t\t\t\t<low value=\"\"/>\n" +
                "\t\t\t\t\t\t\t\t\t\t\t\t\t<high value=\"\"/>\n" +
                "\t\t\t\t\t\t\t\t\t\t\t\t</effectiveTime>\n" +
                "\t\t\t\t\t\t\t\t\t\t\t\t<value xsi:type=\"ST\">无</value>\n" +
                "\t\t\t\t\t\t\t\t\t\t\t</observation>\n" +
                "\t\t\t\t\t\t\t\t\t\t</entryRelationship>\n" +
                "\t\t\t\t\t\t\t\t\t\t<entryRelationship typeCode=\"COMP\" displayName=\"标本状态\">\n" +
                "\t\t\t\t\t\t\t\t\t\t\t<observation classCode=\"OBS\" moodCode=\"EVN\">\n" +
                "\t\t\t\t\t\t\t\t\t\t\t\t<code code=\"DE04.50.135.00\" codeSystem=\"2.16.156.10011.2.2.1\" codeSystemName=\"卫生信息数据元目录\" displayName=\"标本状态\"/>\n" +
                "\t\t\t\t\t\t\t\t\t\t\t\t<value xsi:type=\"ST\">无</value>\n" +
                "\t\t\t\t\t\t\t\t\t\t\t</observation>\n" +
                "\t\t\t\t\t\t\t\t\t\t</entryRelationship>\n" +
                "\t\t\t\t\t\t\t\t\t\t<entryRelationship typeCode=\"COMP\" displayName=\"标本固定液\">\n" +
                "\t\t\t\t\t\t\t\t\t\t\t<observation classCode=\"OBS\" moodCode=\"EVN\">\n" +
                "\t\t\t\t\t\t\t\t\t\t\t\t<code code=\"DE04.30.019.00\" codeSystem=\"2.16.156.10011.2.2.1\" codeSystemName=\"卫生信息数据元目录\" displayName=\"标本固定液名称\"/>\n" +
                "\t\t\t\t\t\t\t\t\t\t\t\t<value xsi:type=\"ST\">无</value>\n" +
                "\t\t\t\t\t\t\t\t\t\t\t</observation>\n" +
                "\t\t\t\t\t\t\t\t\t\t</entryRelationship>\n" +
                "\t\t\t\t\t\t\t\t\t</component>\n" +
                "\t\t\t\t\t\t\t\t\t<component displayName=\"检查结果\">\n" +
                "\t\t\t\t\t\t\t\t\t\t<observation classCode=\"OBS\" moodCode=\"EVN\">\n" +
                "\t\t\t\t\t\t\t\t\t\t\t<code code=\"DE04.30.017.00\" codeSystem=\"2.16.156.10011.2.2.1\" codeSystemName=\"卫生信息数据元目录\" displayName=\"检查结果代码\"/>\n" +
                "\t\t\t\t\t\t\t\t\t\t\t<value xsi:type=\"CD\" code=\"3\" displayName=\"不确定\" codeSystem=\"2.16.156.10011.2.3.2.38\" codeSystemName=\"检查/检验结果代码表\"/>\n" +
                "\t\t\t\t\t\t\t\t\t\t</observation>\n" +
                "\t\t\t\t\t\t\t\t\t</component>\n" +
                "\t\t\t\t\t\t\t\t\t<component displayName=\"检查定量结果\">\n" +
                "\t\t\t\t\t\t\t\t\t\t<observation classCode=\"OBS\" moodCode=\"EVN\">\n" +
                "\t\t\t\t\t\t\t\t\t\t\t<code code=\"DE04.30.015.00\" codeSystem=\"2.16.156.10011.2.2.1\" codeSystemName=\"卫生信息数据元目录\" displayName=\"检查定量结果\"/>\n" +
                "\t\t\t\t\t\t\t\t\t\t\t<value xsi:type=\"REAL\" value=\"136\"/>\n" +
                "\t\t\t\t\t\t\t\t\t\t\t<entryRelationship typeCode=\"COMP\">\n" +
                "\t\t\t\t\t\t\t\t\t\t\t\t<observation classCode=\"OBS\" moodCode=\"EVN\">\n" +
                "\t\t\t\t\t\t\t\t\t\t\t\t\t<code code=\"DE04.30.016.00\" displayName=\"检查定量 结果计量单位\" codeSystemName=\"卫生信息数据元目录\" codeSystem=\"2.16.156.10011.2.2.1\"/>\n" +
                "\t\t\t\t\t\t\t\t\t\t\t\t\t<value xsi:type=\"ST\">nmol/L</value>\n" +
                "\t\t\t\t\t\t\t\t\t\t\t\t</observation>\n" +
                "\t\t\t\t\t\t\t\t\t\t\t</entryRelationship>\n" +
                "\t\t\t\t\t\t\t\t\t\t</observation>\n" +
                "\t\t\t\t\t\t\t\t\t</component>\n" +
                "\t\t\t\t\t\t\t\t</organizer>\n" +
                "\t\t\t\t\t\t\t</entry>\n" +
                "\t\t\t\t\t\t</section>\n" +
                "\t\t\t\t\t</component>\n" +
                "\t\t\t\t\t<!-- 其他处置章节 -->\n" +
                "\t\t\t\t\t<component displayName=\"其他处置\">\n" +
                "\t\t\t\t\t\t<section>\n" +
                "\t\t\t\t\t\t\t<code displayName=\"其他处置章节\"/>\n" +
                "\t\t\t\t\t\t\t<text/>\n" +
                "\t\t\t\t\t\t\t<!-- 诊疗过程描述 -->\n" +
                "\t\t\t\t\t\t\t<entry typeCode=\"COMP\">\n" +
                "\t\t\t\t\t\t\t\t<observation classCode=\"OBS\" moodCode=\"EVN\">\n" +
                "\t\t\t\t\t\t\t\t\t<code code=\"DE06.00.296.00\" codeSystem=\"2.16.156.10011.2.2.1\" codeSystemName=\"卫生信息数据元目录\" displayName=\"诊疗过程描述\"/>\n" +
                "\t\t\t\t\t\t\t\t\t<value xsi:type=\"ST\"/>\n" +
                "\t\t\t\t\t\t\t\t</observation>\n" +
                "\t\t\t\t\t\t\t</entry>\n" +
                "\t\t\t\t\t\t</section>\n" +
                "\t\t\t\t\t</component>\n" +
                "\t\t\t\t\t<!-- 检查报告章节 -->\n" +
                "\t\t\t\t\t<component displayName=\"检查报告\">\n" +
                "\t\t\t\t\t\t<section>\n" +
                "\t\t\t\t\t\t\t<code displayName=\"检查报告\"/>\n" +
                "\t\t\t\t\t\t\t<text/>\n" +
                "\t\t\t\t\t\t\t<!-- 药物相关信息 -->\n" +
                "\t\t\t\t\t\t\t<entryRelationship typeCode=\"REFR \">\n" +
                "\t\t\t\t\t\t\t\t<substanceAdministration classCode=\"SBADM\" moodCode=\"EVN \">\n" +
                "\t\t\t\t\t\t\t\t\t<!--药物剂量 药物剂量单位-->\n" +
                "\t\t\t\t\t\t\t\t\t<doseQuantity value=\"\" unit=\"\"/>\n" +
                "\t\t\t\t\t\t\t\t\t<consumable>\n" +
                "\t\t\t\t\t\t\t\t\t\t<manufacturedProduct>\n" +
                "\t\t\t\t\t\t\t\t\t\t\t<manufacturedLabeledDrug>\n" +
                "\t\t\t\t\t\t\t\t\t\t\t\t<!-- 试剂编码 -->\n" +
                "\t\t\t\t\t\t\t\t\t\t\t\t<code code=\"\"/>\n" +
                "\t\t\t\t\t\t\t\t\t\t\t\t<!-- 试剂名称 -->\n" +
                "\t\t\t\t\t\t\t\t\t\t\t\t<name xsi:type=\"EN\"/>\n" +
                "\t\t\t\t\t\t\t\t\t\t\t</manufacturedLabeledDrug>\n" +
                "\t\t\t\t\t\t\t\t\t\t</manufacturedProduct>\n" +
                "\t\t\t\t\t\t\t\t\t</consumable>\n" +
                "\t\t\t\t\t\t\t\t</substanceAdministration>\n" +
                "\t\t\t\t\t\t\t</entryRelationship>\n" +
                "\t\t\t\t\t\t\t<!-- 检查类型编码/检查类型名称 -->\n" +
                "\t\t\t\t\t\t\t<entry displayName=\"检查类型\">\n" +
                "\t\t\t\t\t\t\t\t<observation classCode=\"OBS\" moodCode=\"EVN\">\n" +
                "\t\t\t\t\t\t\t\t\t<code code=\"0006\" codeSystem=\"1.2.156.112635.1.1.41\" displayName=\"磁共振\"/>\n" +
                "\t\t\t\t\t\t\t\t</observation>\n" +
                "\t\t\t\t\t\t\t</entry>\n" +
                "\t\t\t\t\t\t\t<!-- 检查报告类型 -->\n" +
                "\t\t\t\t\t\t\t<entry displayName=\"检查报告类型\">\n" +
                "\t\t\t\t\t\t\t\t<observation classCode=\"OBS\" moodCode=\"EVN\">\n" +
                "\t\t\t\t\t\t\t\t\t<!-- 检查报告类型标识编码/检查报告类型标识名称 -->\n" +
                "\t\t\t\t\t\t\t\t\t<code code=\"\" codeSystem=\"1.2.156.112635.1.1.112\" displayName=\"磁共振诊断报告\"/>\n" +
                "\t\t\t\t\t\t\t\t</observation>\n" +
                "\t\t\t\t\t\t\t</entry>\n" +
                "\t\t\t\t\t\t\t<!-- 临床资料(以下拼接起来) -->\n" +
                "\t\t\t\t\t\t\t<entry displayName=\"临床资料\">\n" +
                "\t\t\t\t\t\t\t\t<observation classCode=\"OBS\" moodCode=\"EVN\">\n" +
                "\t\t\t\t\t\t\t\t\t<code code=\"0550\" displayName=\"临床表现\"/>\n" +
                "\t\t\t\t\t\t\t\t\t<!-- 体温及感觉 -->\n" +
                "\t\t\t\t\t\t\t\t\t<entryRelationship typeCode=\"COMP\">\n" +
                "\t\t\t\t\t\t\t\t\t\t<observation classCode=\"OBS\" moodCode=\"EVN\">\n" +
                "\t\t\t\t\t\t\t\t\t\t\t<code code=\"0550_1\" displayName=\"体温及感觉\"/>\n" +
                "\t\t\t\t\t\t\t\t\t\t\t<value xsi:type=\"ST\"/>\n" +
                "\t\t\t\t\t\t\t\t\t\t</observation>\n" +
                "\t\t\t\t\t\t\t\t\t</entryRelationship>\n" +
                "\t\t\t\t\t\t\t\t\t<!-- 皮肤表现 -->\n" +
                "\t\t\t\t\t\t\t\t\t<entryRelationship typeCode=\"COMP\">\n" +
                "\t\t\t\t\t\t\t\t\t\t<observation classCode=\"OBS\" moodCode=\"EVN\">\n" +
                "\t\t\t\t\t\t\t\t\t\t\t<code code=\"0550_2\" displayName=\"皮肤表现\"/>\n" +
                "\t\t\t\t\t\t\t\t\t\t\t<value xsi:type=\"ST\"/>\n" +
                "\t\t\t\t\t\t\t\t\t\t</observation>\n" +
                "\t\t\t\t\t\t\t\t\t</entryRelationship>\n" +
                "\t\t\t\t\t\t\t\t\t<!-- 消化泌尿排泄 -->\n" +
                "\t\t\t\t\t\t\t\t\t<entryRelationship typeCode=\"COMP\">\n" +
                "\t\t\t\t\t\t\t\t\t\t<observation classCode=\"OBS\" moodCode=\"EVN\">\n" +
                "\t\t\t\t\t\t\t\t\t\t\t<code code=\"0550_3\" displayName=\"消化泌尿排泄\"/>\n" +
                "\t\t\t\t\t\t\t\t\t\t\t<value xsi:type=\"ST\"/>\n" +
                "\t\t\t\t\t\t\t\t\t\t</observation>\n" +
                "\t\t\t\t\t\t\t\t\t</entryRelationship>\n" +
                "\t\t\t\t\t\t\t\t\t<!-- 呼吸及缺氧症状 -->\n" +
                "\t\t\t\t\t\t\t\t\t<entryRelationship typeCode=\"COMP\">\n" +
                "\t\t\t\t\t\t\t\t\t\t<observation classCode=\"OBS\" moodCode=\"EVN\">\n" +
                "\t\t\t\t\t\t\t\t\t\t\t<code code=\"0550_4\" displayName=\"呼吸及缺氧症状\"/>\n" +
                "\t\t\t\t\t\t\t\t\t\t\t<value xsi:type=\"ST\"/>\n" +
                "\t\t\t\t\t\t\t\t\t\t</observation>\n" +
                "\t\t\t\t\t\t\t\t\t</entryRelationship>\n" +
                "\t\t\t\t\t\t\t\t\t<!-- 心血管表现 -->\n" +
                "\t\t\t\t\t\t\t\t\t<entryRelationship typeCode=\"COMP\">\n" +
                "\t\t\t\t\t\t\t\t\t\t<observation classCode=\"OBS\" moodCode=\"EVN\">\n" +
                "\t\t\t\t\t\t\t\t\t\t\t<code code=\"0550_5\" displayName=\"心血管表现\"/>\n" +
                "\t\t\t\t\t\t\t\t\t\t\t<value xsi:type=\"ST\"/>\n" +
                "\t\t\t\t\t\t\t\t\t\t</observation>\n" +
                "\t\t\t\t\t\t\t\t\t</entryRelationship>\n" +
                "\t\t\t\t\t\t\t\t\t<!-- 其他 -->\n" +
                "\t\t\t\t\t\t\t\t\t<entryRelationship typeCode=\"COMP\">\n" +
                "\t\t\t\t\t\t\t\t\t\t<observation classCode=\"OBS\" moodCode=\"EVN\">\n" +
                "\t\t\t\t\t\t\t\t\t\t\t<code code=\"DE06.00.179.00\" codeSystem=\"2.16.156.10011.2.2.1\" codeSystemName=\"卫生信息数据元目录\" displayName=\"其他情况 \"/>\n" +
                "\t\t\t\t\t\t\t\t\t\t\t<value xsi:type=\"ST\"/>\n" +
                "\t\t\t\t\t\t\t\t\t\t</observation>\n" +
                "\t\t\t\t\t\t\t\t\t</entryRelationship>\n" +
                "\t\t\t\t\t\t\t\t</observation>\n" +
                "\t\t\t\t\t\t\t</entry>\n" +
                "\t\t\t\t\t\t\t<!-- 检查报告结果-客观所见 即是 影像学表现 -->\n" +
                "\t\t\t\t\t\t\t<entry displayName=\"影像学表现\">\n" +
                "\t\t\t\t\t\t\t\t<observation classCode=\"OBS\" moodCode=\"EVN\">\n" +
                "\t\t\t\t\t\t\t\t\t<code code=\"DE04.50.131.00\" codeSystem=\"2.16.156.10011.2.2.1\" codeSystemName=\"卫生信息数据元目录\" displayName=\"检查报告结果-客观所见\"/>\n" +
                "\t\t\t\t\t\t\t\t\t<value xsi:type=\"ST\">　　双侧基底节区见多发斑点状等T1稍长T2信号，FLAIR为高信号。双侧脑室系统扩张。脑沟脑裂部分增宽。中线结构居中。</value>\n" +
                "\t\t\t\t\t\t\t\t</observation>\n" +
                "\t\t\t\t\t\t\t</entry>\n" +
                "\t\t\t\t\t\t\t<!-- 检查报告结果-主观提示 即是 影像学结论 -->\n" +
                "\t\t\t\t\t\t\t<entry displayName=\"影像学结论\">\n" +
                "\t\t\t\t\t\t\t\t<observation classCode=\"OBS\" moodCode=\"EVN\">\n" +
                "\t\t\t\t\t\t\t\t\t<code code=\"DE04.50.132.00\" codeSystem=\"2.16.156.10011.2.2.1\" codeSystemName=\"卫生信息数据元目录\" displayName=\"检查报告结果-主观提示\"/>\n" +
                "\t\t\t\t\t\t\t\t\t<value xsi:type=\"ST\">　　1、双侧基底节区多发腔隙性脑梗塞。 　　2、脑萎缩。</value>\n" +
                "\t\t\t\t\t\t\t\t</observation>\n" +
                "\t\t\t\t\t\t\t</entry>\n" +
                "\t\t\t\t\t\t\t<entry displayName=\"检查报告科室\">\n" +
                "\t\t\t\t\t\t\t\t<observation classCode=\"OBS\" moodCode=\"EVN\">\n" +
                "\t\t\t\t\t\t\t\t\t<code code=\"DE08.10.026.00\" codeSystem=\"2.16.156.10011.2.2.1\" codeSystemName=\"卫生信息数据元目录\" displayName=\"检查报告科室\"/>\n" +
                "\t\t\t\t\t\t\t\t\t<value xsi:type=\"ST\" code=\"3203\">核磁共振</value>\n" +
                "\t\t\t\t\t\t\t\t</observation>\n" +
                "\t\t\t\t\t\t\t</entry>\n" +
                "\t\t\t\t\t\t\t<entry displayName=\"检查报告机构\">\n" +
                "\t\t\t\t\t\t\t\t<observation classCode=\"OBS\" moodCode=\"EVN\">\n" +
                "\t\t\t\t\t\t\t\t\t<code code=\"DE08.10.013.00\" codeSystem=\"2.16.156.10011.2.2.1\" codeSystemName=\"卫生信息数据元目录\" displayName=\"检查报告机构名称\"/>\n" +
                "\t\t\t\t\t\t\t\t\t<value xsi:type=\"ST\" code=\"4560886379\">南方医科大学顺德医院</value>\n" +
                "\t\t\t\t\t\t\t\t</observation>\n" +
                "\t\t\t\t\t\t\t</entry>\n" +
                "\t\t\t\t\t\t\t<entry displayName=\"检查报告备注\">\n" +
                "\t\t\t\t\t\t\t\t<observation classCode=\"OBS\" moodCode=\"EVN\">\n" +
                "\t\t\t\t\t\t\t\t\t<code code=\"DE06.00.179.00\" codeSystem=\"2.16.156.10011.2.2.1\" codeSystemName=\"卫生信息数据元目录\" displayName=\"检查报告备注\"/>\n" +
                "\t\t\t\t\t\t\t\t\t<value xsi:type=\"ST\"/>\n" +
                "\t\t\t\t\t\t\t\t</observation>\n" +
                "\t\t\t\t\t\t\t</entry>\n" +
                "\t\t\t\t\t\t\t<!--ph值编码及名称-->\n" +
                "\t\t\t\t\t\t\t<entry displayName=\"ph值\">\n" +
                "\t\t\t\t\t\t\t\t<observation classCode=\"OBS\" moodCode=\"EVN\">\n" +
                "\t\t\t\t\t\t\t\t\t<code code=\"01\" displayName=\"ph值编码\"/>\n" +
                "\t\t\t\t\t\t\t\t\t<value code=\"1\" xsi:type=\"ST\"/>\n" +
                "\t\t\t\t\t\t\t\t</observation>\n" +
                "\t\t\t\t\t\t\t</entry>\n" +
                "\t\t\t\t\t\t</section>\n" +
                "\t\t\t\t\t</component>\n" +
                "\t\t\t\t\t<component displayName=\"检查报告图像\">\n" +
                "\t\t\t\t\t\t<!--报告图像信息-->\n" +
                "\t\t\t\t\t\t<report>\n" +
                "\t\t\t\t\t\t\t<!-- PACS系统影像号-->\n" +
                "\t\t\t\t\t\t\t<imageNo>MR053370</imageNo>\n" +
                "\t\t\t\t\t\t\t<entry displayName=\"检查报告图像URL地址\">\n" +
                "\t\t\t\t\t\t\t\t<observation classCode=\"OBS\" moodCode=\"EVN\">\n" +
                "\t\t\t\t\t\t\t\t\t<code code=\"DE06.00.179.00\" codeSystem=\"2.16.156.10011.2.2.1\" codeSystemName=\"卫生信息数据元目录\" displayName=\"检查报告URL地址\"/>\n" +
                "\t\t\t\t\t\t\t\t\t<value xsi:type=\"ST\">http://192.168.5.51/ClinicView/html/report.htm?exam_no=0002203448&amp;report_no=1</value>\n" +
                "\t\t\t\t\t\t\t\t</observation>\n" +
                "\t\t\t\t\t\t\t</entry>\n" +
                "\t\t\t\t\t\t\t<entry displayName=\"检查报告图像\">\n" +
                "\t\t\t\t\t\t\t\t<observation classCode=\"OBS\" moodCode=\"EVN\">\n" +
                "\t\t\t\t\t\t\t\t\t<code code=\"DE06.00.179.00\" codeSystem=\"2.16.156.10011.2.2.1\" codeSystemName=\"卫生信息数据元目录\" displayName=\"检查报告\"/>\n" +
                "\t\t\t\t\t\t\t\t\t<name>0002203448-1.pdf</name>\n" +
                "\t\t\t\t\t\t\t\t\t<type>pdf</type>\n" +
                "\t\t\t\t\t\t\t\t\t<value xsi:type=\"ST\"/>\n" +
                "\t\t\t\t\t\t\t\t</observation>\n" +
                "\t\t\t\t\t\t\t</entry>\n" +
                "\t\t\t\t\t\t</report>\n" +
                "\t\t\t\t\t</component>\n" +
                "\t\t\t\t</structuredBody>\n" +
                "\t\t\t</component>\n" +
                "\t\t</subject>\n" +
                "\t</controlActProcess>\n" +
                "</POOR_HIP1008>\n");
        System.out.println(reportServer.getReportDtoByInspectionInsert(insertUtil));
    }








}
